/*! DSFR v1.7.2 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
const e=new class{constructor(){this.modules={}}create(e){const t=new e;this.modules[t.type]=t}getModule(e){return this.modules[e]}add(e,t){this.modules[e].add(t)}remove(e,t){this.modules[e].remove(t)}get isActive(){return this._isActive}set isActive(e){if(e===this._isActive)return;this._isActive=e;const t=Object.keys(this.modules).map((e=>this.modules[e]));if(e)for(const e of t)e.activate();else for(const e of t)e.deactivate()}get isLegacy(){return this._isLegacy}set isLegacy(e){e!==this._isLegacy&&(this._isLegacy=e)}},t="fr",s="dsfr",i="1.7.2";class n{constructor(e,t,s,i){switch(this.level=e,this.light=t,this.dark=s,i){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}}log(...e){const t=new r(s);for(const s of e)t.add(s);this.print(t)}print(e){e.setColor(this.color),this.logger.apply(console,e.getMessage())}get color(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light}}class r{constructor(e){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],e&&this.add(`${e} :`)}add(e){switch(typeof e){case"object":case"function":this.inputs.push("%o "),this.objects.push(e);break;default:this.inputs.push(`${e} `)}}setColor(e){this.styles.push(`color:${e}`)}getMessage(){return[this.inputs.join(""),this.styles.join(";"),...this.objects]}}const o={trace:new n(0,"#616161","#989898"),debug:new n(1,"#000091","#8B8BFF"),info:new n(2,"#007c3b","#00ed70"),warn:new n(3,"#ba4500","#fa5c00","warn"),error:new n(4,"#D80600","#FF4641","error")};const a=new class{constructor(){this.level=2;for(const e in o){const t=o[e];this[e]=(...e)=>{this.level<=t.level&&t.log.apply(t,e)},this[e].print=t.print.bind(t)}}state(){const t=new r;t.add(e),this.trace.print(t)}tree(){const t=e.getModule("stage");if(!t)return;const s=new r;this._branch(t.root,0,s),this.trace.print(s)}_branch(e,t,s){let i="";if(t>0){let e="";for(let s=0;s<t;s++)e+="    ";i+=e+"└─ "}i+=`[${e.id}] ${e.html}`,s.add(i),s.add({"@":e}),s.add("\n");for(const n of e.children)i+=this._branch(n,t+1,s)}},c=e=>{"loading"!==document.readyState?window.requestAnimationFrame(e):document.addEventListener("DOMContentLoaded",e)},h={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"};const l=new class{constructor(){this._mode=h.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1}configure(e={},t){this.startCallback=t,!0===e.verbose&&(a.level=0),this.mode=e.mode||h.AUTO}set mode(e){switch(e){case h.AUTO:this.preventManipulation=!1,t=this.starting,c(t);break;case h.LOADED:this.preventManipulation=!1,c(this.starting);break;case h.RUNTIME:this.preventManipulation=!1,this.start();break;case h.MANUAL:this.preventManipulation=!1;break;case h.VUE:case h.ANGULAR:case h.REACT:this.preventManipulation=!0;break;default:return void a.error("Illegal mode")}var t;this._mode=e,a.info(`mode set to ${e}`)}get mode(){return this._mode}start(){a.info("start"),this.startCallback()}};class d{constructor(){this._collection=[]}forEach(e){this._collection.forEach(e)}map(e){return this._collection.map(e)}get length(){return this._collection.length}add(e){return!(this._collection.indexOf(e)>-1)&&(this._collection.push(e),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)}remove(e){const t=this._collection.indexOf(e);if(-1===t)return!1;this._collection.splice(t,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()}execute(...e){for(const t of this._collection)t&&t.apply(null,e)}clear(){this._collection.length=0}clone(){const e=new d;return e._collection=this._collection.slice(),e}get collection(){return this._collection}}class u extends d{constructor(e){super(),this.type=e,this.isActive=!1}activate(){}deactivate(){}}const g=e=>`${t}-${e}`;g.selector=(e,t)=>(void 0===t&&(t="."),`${t}${g(e)}`),(g.attr=e=>`data-${g(e)}`).selector=(e,t)=>{let s=g.attr(e);return void 0!==t&&(s+=`="${t}"`),`[${s}]`},g.event=e=>`${s}.${e}`,g.emission=(e,t)=>`emission:${e}.${t}`;const p=(e,t)=>Array.prototype.slice.call(e.querySelectorAll(t)),m=(e,t)=>{const s=e.parentElement;return s.matches(t)?s:s===document.documentElement?null:m(s,t)};class f{constructor(e,t,s){this.selector=e,this.InstanceClass=t,this.creator=s,this.instances=new d,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);const i=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=g.attr(`js-${i}`)}getInstanceClassNames(e){const t=Object.getPrototypeOf(e);return t&&"Instance"!==t.instanceClassName?[...this.getInstanceClassNames(t),e.instanceClassName]:[e.instanceClassName]}hasInstanceClassName(e){return this._instanceClassNames.indexOf(e)>-1}introduce(){this.isIntroduced||(this.isIntroduced=!0,e.getModule("stage").parse(document.documentElement,this))}parse(e,t){const s=[];return e.matches&&e.matches(this.selector)&&s.push(e),!t&&e.querySelectorAll&&e.querySelector(this.selector)&&s.push.apply(s,p(e,this.selector)),s}create(e){if(!e.node.matches(this.selector))return;const t=new this.InstanceClass;return this.instances.add(t),t}remove(e){this.instances.remove(e)}dispose(){const e=this.instances.collection;for(let t=e.length-1;t>-1;t--)e[t]._dispose();this.creator=null}get instanceClassName(){return this._instanceClassName}get instanceClassNames(){return this._instanceClassNames}get property(){return this._property}get attribute(){return this._attribute}}class b extends u{constructor(){super("register")}register(t,s,i){const n=new f(t,s,i);return this.add(n),e.isActive&&n.introduce(),n}activate(){for(const e of this.collection)e.introduce()}remove(e){e.dispose(),super.remove(e)}}let _=0;class y{constructor(e,t){t?this.id=t:(_++,this.id=_),this.node=e,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]}get proxy(){const e=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return e.parent?e.parent.proxy:null},get children(){return e.children.map((e=>e.proxy))}};for(const e of this.instances)this._proxy[e.registration.property]=e.proxy}return this._proxy}get html(){if(!this.node||!this.node.outerHTML)return"";const e=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,e+1)}project(e){-1===this._projects.indexOf(e)&&this._projects.push(e)}populate(){const e=this._projects.slice();this._projects.length=0;for(const t of e)this.create(t)}create(e){if(this.hasInstance(e.instanceClassName))return;a.debug(`create instance of ${e.instanceClassName} on element [${this.id}]`);const t=e.create(this);this.instances.push(t),t._config(this,e),this._proxy&&(this._proxy[e.property]=t.proxy)}remove(e){const t=this.instances.indexOf(e);t>-1&&this.instances.splice(t,1),this._proxy&&delete this._proxy[e.registration.property]}get parent(){return this._parent}get ascendants(){return[this.parent,...this.parent.ascendants]}get children(){return this._children}get descendants(){const e=[...this._children];return this._children.forEach((t=>e.push(...t.descendants))),e}addChild(e,t){return this._children.indexOf(e)>-1?null:(e._parent=this,!isNaN(t)&&t>-1&&t<this._children.length?this._children.splice(t,0,e):this._children.push(e),e)}removeChild(e){const t=this._children.indexOf(e);if(-1===t)return null;e._parent=null,this._children.splice(t,1)}emit(t,s){const i=e.getModule("stage").collection,n=[];for(const e of i)n.push(...e._emit(t,s));return n}_emit(e,t){const s=[];for(const i of this.instances)s.push(...i._emitter.emit(e,t));return s}ascend(e,t){return this._parent?this._parent._ascend(e,t):[]}_ascend(e,t){const s=[];for(const i of this.instances)s.push(...i._ascent.emit(e,t));return this._parent&&s.push(...this._parent._ascend(e,t)),s}descend(e,t){const s=[];for(const i of this._children)s.push(...i._descend(e,t));return s}_descend(e,t){const s=[];for(const i of this.instances)s.push(...i._descent.emit(e,t));for(const i of this._children)s.push(...i._descend(e,t));return s}getInstance(e){for(const t of this.instances)if(t.registration.hasInstanceClassName(e))return t;return null}hasInstance(e){return null!==this.getInstance(e)}getDescendantInstances(e,t,s){if(!e)return[];const i=[];for(const n of this._children){const r=n.getInstance(e);r&&(i.push(r),s)||(t&&n.hasInstance(t)||!n.children.length||i.push.apply(i,n.getDescendantInstances(e,t,s)))}return i}getAscendantInstance(e,t){if(!e||!this._parent)return null;const s=this._parent.getInstance(e);return s||(t&&this._parent.hasInstance(t)?null:this._parent.getAscendantInstance(e,t))}dispose(){for(const e of this.instances)e._dispose();this.instances.length=0,e.remove("stage",this),this.parent.removeChild(this),this._children.length=0,a.debug(`remove element [${this.id}] ${this.html}`)}prepare(e){-1===this.attributeNames.indexOf(e)&&this.attributeNames.push(e)}examine(){const e=this.attributeNames.slice();this.attributeNames.length=0;for(let t=this.instances.length-1;t>-1;t--)this.instances[t].examine(e)}}class E extends y{constructor(){super(document.documentElement,"root"),this.node.setAttribute(g.attr("js"),!0)}}class S extends u{constructor(){super("stage"),this.root=new E,super.add(this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}hasElement(e){for(const t of this.collection)if(t.node===e)return!0;return!1}getElement(e){for(const t of this.collection)if(t.node===e)return t;const t=new y(e);return this.add(t),a.debug(`add element [${t.id}] ${t.html}`),t}getProxy(e){if(!this.hasElement(e))return null;return this.getElement(e).proxy}add(e){super.add(e),this.put(e,this.root)}put(e,t){let s=0;for(let i=t.children.length-1;i>-1;i--){const n=t.children[i],r=e.node.compareDocumentPosition(n.node);if(r&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(e,n);if(r&Node.DOCUMENT_POSITION_CONTAINED_BY)t.removeChild(n),e.addChild(n,0);else if(r&Node.DOCUMENT_POSITION_PRECEDING){s=i+1;break}}t.addChild(e,s)}activate(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})}deactivate(){this.observer.disconnect()}mutate(e){const t=[];e.forEach((e=>{switch(e.type){case"childList":e.removedNodes.forEach((e=>this.dispose(e))),e.addedNodes.forEach((e=>this.parse(e)));break;case"attributes":if(this.hasElement(e.target)){const s=this.getElement(e.target);s.prepare(e.attributeName),-1===t.indexOf(s)&&t.push(s);for(const e of s.descendants)-1===t.indexOf(e)&&t.push(e)}-1===this.modifications.indexOf(e.target)&&this.modifications.push(e.target)}})),t.forEach((e=>e.examine())),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))}modify(){this.willModify=!1;const e=this.modifications.slice();this.modifications.length=0;for(const t of e)document.documentElement.contains(t)&&this.parse(t)}dispose(e){const t=[];this.forEach((s=>{e.contains(s.node)&&t.push(s)}));for(const e of t)e.dispose(),this.remove(e)}parse(t,s,i){const n=s?[s]:e.getModule("register").collection,r=[];for(const e of n){const s=e.parse(t,i);for(const t of s){const s=this.getElement(t);s.project(e),-1===r.indexOf(s)&&r.push(s)}}for(const e of r)e.populate()}}class A extends u{constructor(){super("render"),this.rendering=this.render.bind(this),this.nexts=new d}activate(){window.requestAnimationFrame(this.rendering)}request(e){this.nexts.add(e)}render(){if(!e.isActive)return;if(window.requestAnimationFrame(this.rendering),this.forEach((e=>e.render())),!this.nexts.length)return;const t=this.nexts.clone();this.nexts.clear(),t.forEach((e=>e.next()))}}class v extends u{constructor(){super("resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);const e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}activate(){this.request()}request(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))}resize(){this.requireResize&&(this.forEach((e=>e.resize())),this.requireResize=!1)}}class C extends u{constructor(){super("lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}get isLocked(){return this._isLocked}lock(){this._isLocked||(this._isLocked=!0,this._scrollY=window.scrollY,this.isLegacy?document.body.style.top=-1*this._scrollY+"px":document.body.style.setProperty("--scroll-top",-1*this._scrollY+"px"),document.documentElement.setAttribute(g.attr("scrolling"),"false"))}unlock(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(g.attr("scrolling")),this.isLegacy?document.body.style.top="":document.body.style.removeProperty("--scroll-top"),window.scroll(0,this._scrollY))}}class L extends u{constructor(){super("load"),this.loading=this.load.bind(this)}activate(){window.addEventListener("load",this.loading)}load(){this.forEach((e=>e.load()))}}const T=["Marianne","Spectral"];class N extends u{constructor(){super("font-swap"),this.swapping=this.swap.bind(this)}activate(){document.fonts&&document.fonts.addEventListener("loadingdone",this.swapping)}swap(){const e=T.filter((e=>document.fonts.check(`16px ${e}`)));this.forEach((t=>t.swapFont(e)))}}class x extends u{constructor(){super("mouse-move"),this.requireMove=!1,this._isMoving=!1,this.moving=this.move.bind(this),this.requesting=this.request.bind(this),this.onPopulate=this.listen.bind(this),this.onEmpty=this.unlisten.bind(this)}listen(){this._isMoving||(this._isMoving=!0,this.requireMove=!1,document.documentElement.addEventListener("mousemove",this.requesting))}unlisten(){this._isMoving&&(this._isMoving=!1,this.requireMove=!1,document.documentElement.removeEventListener("mousemove",this.requesting))}request(e){this._isMoving&&(this.point={x:e.clientX,y:e.clientY},this.requireMove||(this.requireMove=!0,window.requestAnimationFrame(this.moving)))}move(){this.requireMove&&(this.forEach((e=>e.mouseMove(this.point))),this.requireMove=!1)}}const O=new class{constructor(){e.create(b),e.create(S),e.create(A),e.create(v),e.create(C),e.create(L),e.create(N),e.create(x);const t=e.getModule("register");this.register=t.register.bind(t)}get isActive(){return e.isActive}start(){a.debug("START"),e.isActive=!0}stop(){a.debug("STOP"),e.isActive=!1}},I=e=>"."===e.charAt(0)?e.substr(1):e,w=e=>e.className?e.className.split(" "):[],D=(e,t,s)=>{t=I(t);const i=w(e),n=i.indexOf(t);!0===s?n>-1&&i.splice(n,1):-1===n&&i.push(t),e.className=i.join(" ")},M=(e,t)=>D(e,t),R=(e,t)=>D(e,t,!0),k=(e,t)=>w(e).indexOf(I(t))>-1,P={};P.addClass=M,P.hasClass=k,P.removeClass=R,P.queryParentSelector=m,P.querySelectorAllArray=p;const H={supportLocalStorage:()=>{try{return"localStorage"in window&&null!==window.localStorage}catch(e){return!1}},supportAspectRatio:()=>!!window.CSS&&CSS.supports("aspect-ratio: 16 / 9")},G={NONE:g.selector("transition-none")},$={};$.TransitionSelector=G;const q=(e,...t)=>(t.forEach((t=>{const s=Object.keys(t).reduce(((e,s)=>(e[s]=Object.getOwnPropertyDescriptor(t,s),e)),{});Object.getOwnPropertySymbols(t).forEach((e=>{const i=Object.getOwnPropertyDescriptor(t,e);i.enumerable&&(s[e]=i)})),Object.defineProperties(e,s)})),e),B={};B.completeAssign=q;const z={},U={};Object.defineProperty(U,"isLegacy",{get:()=>e.isLegacy}),U.setLegacy=()=>{e.isLegacy=!0},z.legacy=U,z.dom=P,z.support=H,z.motion=$,z.property=B,z.ns=g,z.register=O.register,z.state=e,Object.defineProperty(z,"preventManipulation",{get:()=>l.preventManipulation}),Object.defineProperty(z,"stage",{get:()=>e.getModule("stage")}),a.info(`version ${i}`);const F=t=>e.getModule("stage").getProxy(t);F.Modes=h,Object.defineProperty(F,"mode",{set:e=>{l.mode=e},get:()=>l.mode}),F.internals=z,F.start=O.start,F.stop=O.stop,F.inspector=a,l.configure(window[s],F.start),window[s]=F;class j{constructor(){this.emissions={}}add(e,t){if("function"!=typeof t)throw new Error("closure must be a function");this.emissions[e]||(this.emissions[e]=[]),this.emissions[e].push(t)}remove(e,t){if(this.emissions[e])if(t){const s=this.emissions[e].indexOf(t);s>-1&&this.emissions[e].splice(s)}else delete this.emissions[e]}emit(e,t){if(!this.emissions[e])return[];const s=[];for(const i of this.emissions[e])i&&s.push(i(t));return s}dispose(){this.emissions=null}}class W{constructor(e,t){this.id=e,this.minWidth=t}test(){return window.matchMedia(`(min-width: ${this.minWidth}em)`).matches}}const K={XS:new W("xs",0),SM:new W("sm",36),MD:new W("md",48),LG:new W("lg",62),XL:new W("xl",78)};class Y{constructor(e=!0){this.jsAttribute=e,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._isSwappingFont=!1,this._listeners={},this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new j,this._ascent=new j,this._descent=new j,this._registrations=[],this._nexts=[]}static get instanceClassName(){return"Instance"}_config(e,t){this.element=e,this.registration=t,this.node=e.node,this.id=e.node.id,this.jsAttribute&&this.setAttribute(t.attribute,!0),this.init()}init(){}get proxy(){const e=this;return{render:()=>e.render(),resize:()=>e.resize()}}register(t,s){const i=e.getModule("register").register(t,s,this);this._registrations.push(i)}getRegisteredInstances(e){for(const t of this._registrations)if(t.hasInstanceClassName(e))return t.instances.collection;return[]}dispatch(e,t,s,i){const n=new CustomEvent(e,{detail:t,bubble:!0===s,cancelable:!0===i});this.node.dispatchEvent(n)}listen(e,t,s){this._listeners[e]||(this._listeners[e]=[]),this._listeners[e].indexOf(t)>-1||(this._listeners[e].push(t),this.node.addEventListener(e,t,s))}unlisten(e,t){if(e)if(t){if(!this._listeners[e])return;const s=this._listeners[e].indexOf(t);s>-1&&this._listeners[e].splice(s,1),this.node.removeEventListener(e,t)}else{if(!this._listeners[e])return;for(const t of this._listeners[e])this.node.removeEventListener(e,t);this._listeners[e].length=0}else for(const e in this._listeners)this.unlisten(e)}listenKey(e,t,s=!1,i=!1,n="down"){-1===this._keyListenerTypes.indexOf(n)&&(this.listen(`key${n}`,this.handlingKey),this._keyListenerTypes.push(n)),this._keys.push(new V(n,e,t,s,i))}unlistenKey(e,t){this._keys=this._keys.filter((s=>s.code!==e||s.closure!==t)),this._keyListenerTypes.forEach((e=>{this._keys.some((t=>t.type===e))||this.unlisten(`key${e}`,this.handlingKey)}))}handleKey(e){for(const t of this._keys)t.handle(e)}get isRendering(){return this._isRendering}set isRendering(t){this._isRendering!==t&&(t?e.add("render",this):e.remove("render",this),this._isRendering=t)}render(){}request(t){this._nexts.push(t),e.getModule("render").request(this)}next(){const e=this._nexts.slice();this._nexts.length=0;for(const t of e)t&&t()}get isResizing(){return this._isResizing}set isResizing(t){this._isResizing!==t&&(t?(e.add("resize",this),this.resize()):e.remove("resize",this),this._isResizing=t)}resize(){}isBreakpoint(e){return!0==("string"==typeof e)?K[e.toUpperCase()].test():e.test()}get isScrollLocked(){return this._isScrollLocked}set isScrollLocked(t){this._isScrollLocked!==t&&(t?e.add("lock",this):e.remove("lock",this),this._isScrollLocked=t)}get isLoading(){return this._isLoading}set isLoading(t){this._isLoading!==t&&(t?e.add("load",this):e.remove("load",this),this._isLoading=t)}load(){}get isSwappingFont(){return this._isSwappingFont}set isSwappingFont(t){this._isSwappingFont!==t&&(t?e.add("font-swap",this):e.remove("font-swap",this),this._isSwappingFont=t)}swapFont(){}get isMouseMoving(){return this._isMouseMoving}set isMouseMoving(t){this._isMouseMoving!==t&&(t?e.add("mouse-move",this):e.remove("mouse-move",this),this._isMouseMoving=t)}mouseMove(e){}examine(e){this.node.matches(this.registration.selector)?this.mutate(e):this._dispose()}mutate(e){}_dispose(){a.debug(`dispose instance of ${this.registration.instanceClassName} on element [${this.element.id}]`),this.removeAttribute(this.registration.attribute),this.unlisten(),this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,e.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this.isSwappingFont=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(const t of this._registrations)e.remove("register",t);this._registrations=null,this.registration.remove(this),this.dispose()}dispose(){}emit(e,t){return this.element.emit(e,t)}addEmission(e,t){this._emitter.add(e,t)}removeEmission(e,t){this._emitter.remove(e,t)}ascend(e,t){return this.element.ascend(e,t)}addAscent(e,t){this._ascent.add(e,t)}removeAscent(e,t){this._ascent.remove(e,t)}descend(e,t){return this.element.descend(e,t)}addDescent(e,t){this._descent.add(e,t)}removeDescent(e,t){this._descent.remove(e,t)}get style(){return this.node.style}addClass(e){M(this.node,e)}removeClass(e){R(this.node,e)}hasClass(e){return k(this.node,e)}get classNames(){return w(this.node)}setAttribute(e,t){this.node.setAttribute(e,t)}getAttribute(e){return this.node.getAttribute(e)}hasAttribute(e){return this.node.hasAttribute(e)}removeAttribute(e){this.node.removeAttribute(e)}setProperty(e,t){this.node.style.setProperty(e,t)}removeProperty(e){this.node.style.removeProperty(e)}focus(){this.node.focus()}get hasFocus(){return this.node===document.activeElement}matches(e){return this.node.matches(e)}querySelector(e){return this.node.querySelector(e)}querySelectorAll(e){return p(this.node,e)}queryParentSelector(e){return m(this.node,e)}getRect(){return this.node.getBoundingClientRect()}get isLegacy(){return e.isLegacy}}class V{constructor(e,t,s,i,n){this.type=e,this.eventType=`key${e}`,this.code=t,this.closure=s,this.preventDefault=!0===i,this.stopPropagation=!0===n}handle(e){e.type===this.eventType&&e.keyCode===this.code&&(this.closure(e),this.preventDefault&&e.preventDefault(),this.stopPropagation&&e.stopPropagation())}}const Q={DISCLOSE:g.event("disclose"),CONCEAL:g.event("conceal")},Z={RESET:g.emission("disclosure","reset"),ADDED:g.emission("disclosure","added"),REMOVED:g.emission("disclosure","removed"),GROUP:g.emission("disclosure","group"),UNGROUP:g.emission("disclosure","ungroup")};class X extends Y{constructor(e,t,s,i){super(),this.type=e,this._selector=t,this.DisclosureButtonInstanceClass=s,this.disclosuresGroupInstanceClassName=i,this.modifier=this._selector+"--"+this.type.id,this.pristine=!0}static get instanceClassName(){return"Disclosure"}init(){this.addDescent(Z.RESET,this.reset.bind(this)),this.addDescent(Z.GROUP,this.update.bind(this)),this.addDescent(Z.UNGROUP,this.update.bind(this)),this.register(`[aria-controls="${this.id}"]`,this.DisclosureButtonInstanceClass),this.ascend(Z.ADDED),this.update()}get proxy(){const e=this,t=Object.assign(super.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});this.type.canConceal&&(t.conceal=e.conceal.bind(e));return q(t,{get buttons(){return e.buttons.map((e=>e.proxy))},get group(){const t=e.group;return t?t.proxy:null}})}get buttons(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)}update(){this.getGroup()}getGroup(){if(!this.disclosuresGroupInstanceClassName)return void(this._group=null);const e=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);e&&e.validate(this)?this._group=e:this._group=null}get group(){return this._group}disclose(e){return!this.disclosed&&(this.pristine=!1,this.disclosed=!0,!e&&this.group&&(this.group.current=this),!0)}conceal(e,t){return!!this.disclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.pristine=!1,this.disclosed=!1,!e&&this.group&&this.group.current===this&&(this.group.current=null),t||this.focus(),this.descend(Z.RESET),!0))}get disclosed(){return this._disclosed}set disclosed(e){if(this._disclosed!==e){this.dispatch(e?Q.DISCLOSE:Q.CONCEAL,this.type),this._disclosed=e,e?this.addClass(this.modifier):this.removeClass(this.modifier);for(let t=0;t<this.buttons.length;t++)this.buttons[t].apply(e)}}reset(){}toggle(e){if(this.type.canConceal)switch(!0){case!e:case this.disclosed:this.conceal();break;default:this.disclose()}else this.disclose()}get buttonHasFocus(){return!!this.buttons.some((e=>e.hasFocus))}get hasFocus(){return!!super.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)}focus(){for(let e=0;e<this.buttons.length;e++){const t=this.buttons[e];if(t.isPrimary)return void t.focus()}}dispose(){this._group=null,super.dispose(),this.ascend(Z.REMOVED)}}class J extends Y{constructor(e){super(),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:g.attr(e.id)}static get instanceClassName(){return"DisclosureButton"}init(){this.controlsId=this.getAttribute("aria-controls"),this.isPrimary=this.hasAttribute(this.attributeName),this.isPrimary&&this.disclosed&&this.registration.creator.pristine&&this.registration.creator.disclose(),this.listen("click",this.click.bind(this))}get proxy(){return Object.assign(super.proxy,{focus:this.focus.bind(this)})}click(e){this.registration.creator&&this.registration.creator.toggle(this.isPrimary)}mutate(e){this.isPrimary&&e.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.disclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())}apply(e){this.isPrimary&&this.setAttribute(this.attributeName,e)}get disclosed(){return"true"===this.getAttribute(this.attributeName)}}class ee extends Y{constructor(e,t){super(t),this.disclosureInstanceClassName=e,this._index=-1}static get instanceClassName(){return"DisclosuresGroup"}init(){this.addAscent(Z.ADDED,this.update.bind(this)),this.addAscent(Z.REMOVED,this.update.bind(this)),this.descend(Z.GROUP),this.update()}get proxy(){const e=this,t={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){const t=e.current;return t?t.proxy:null},get members(){return e.members.map((e=>e.proxy))},get hasFocus(){return e.hasFocus}};return q(super.proxy,t)}validate(e){return!0}getMembers(){const e=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=e.filter(this.validate.bind(this))}update(){this.getMembers(),this.getIndex()}get members(){return this._members}get length(){return this.members?this.members.length:0}getIndex(){this._index=-1;for(let e=0;e<this.length;e++)this.index>-1?this.members[e].conceal(!0,!0):this.members[e].disclosed&&(this.index=e)}get index(){return this._index}set index(e){if(!(e<-1||e>=this.length||e===this._index)){this._index=e;for(let t=0;t<this.length;t++){const s=this.members[t];e===t?s.disclose(!0):s.conceal(!0,!0)}this.apply()}}get current(){return-1===this._index?null:this.members[this._index]}set current(e){this.index=this.members.indexOf(e)}get hasFocus(){const e=this.current;return!!e&&e.hasFocus}apply(){}dispose(){super.dispose(),this.descend(Z.UNGROUP),this._members=null}}const te={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0}};class se extends J{constructor(){super(te.EXPAND)}static get instanceClassName(){return"CollapseButton"}}const ie={COLLAPSE:g.selector("collapse"),COLLAPSING:g.selector("collapsing")};const ne={CHANGE:g("equisized")};const re={TOGGLE:g.event("toggle")};const oe={INJECT_SVG:`[${g.attr("inject-svg")}]`};const ae={ARTWORK_USE:`${g.selector("artwork")} use`},ce=["32x9","16x9","3x2","4x3","1x1","3x4","2x3"],he=(e,t)=>t.map((t=>g.selector(`${e}--${t}`))).join(","),le=`${g.selector("responsive-img")}, ${he("responsive-img",ce)}, ${g.selector("responsive-vid")}, ${he("responsive-vid",["16x9","4x3","1x1"])}`,de={RATIO:`${g.selector("ratio")}, ${he("ratio",ce)}, ${le}`},ue=window[s];F.core={Instance:Y,Breakpoints:K,KeyCodes:{TAB:9,ESCAPE:27,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40},Disclosure:X,DisclosureButton:J,DisclosuresGroup:ee,DisclosureType:te,DisclosureEvent:Q,DisclosureEmission:Z,Collapse:class extends X{constructor(){super(te.EXPAND,ie.COLLAPSE,se,"CollapsesGroup")}static get instanceClassName(){return"Collapse"}init(){super.init(),this.listen("transitionend",this.transitionend.bind(this))}transitionend(e){this.removeClass(ie.COLLAPSING),this.disclosed||(this.isLegacy?this.style.maxHeight="":this.style.removeProperty("--collapse-max-height"))}unbound(){this.isLegacy?this.style.maxHeight="none":this.style.setProperty("--collapse-max-height","none")}disclose(e){this.disclosed||(this.unbound(),this.request((()=>{this.addClass(ie.COLLAPSING),this.adjust(),this.request((()=>{super.disclose(e)}))})))}conceal(e,t){this.disclosed&&this.request((()=>{this.addClass(ie.COLLAPSING),this.adjust(),this.request((()=>{super.conceal(e,t)}))}))}adjust(){this.setProperty("--collapser","none");const e=this.node.offsetHeight;this.setProperty("--collapse",-e+"px"),this.setProperty("--collapser","")}reset(){this.pristine||(this.disclosed=!1)}},CollapseButton:se,CollapsesGroup:class extends ee{constructor(){super("Collapse")}static get instanceClassName(){return"CollapsesGroup"}},CollapseSelector:ie,RootSelector:{ROOT:":root"},Equisized:class extends Y{static get instanceClassName(){return"Equisized"}init(){this.ascend(ne.CHANGE)}measure(){return this.isLegacy&&(this.style.width="auto"),this.getRect().width}adjust(e){this.isLegacy&&(this.style.width=`${e}px`)}dispose(){this.ascend(ne.CHANGE)}},EquisizedEmission:ne,Toggle:class extends Y{static get instanceClassName(){return"Toggle"}init(){this.pressed="true"===this.pressed,this.listen("click",this.toggle.bind(this))}toggle(){this.pressed="true"!==this.pressed}get pressed(){return this.getAttribute("aria-pressed")}set pressed(e){this.setAttribute("aria-pressed",e?"true":"false"),this.dispatch(re.TOGGLE,e)}get proxy(){const e=this,t=Object.assign(super.proxy,{toggle:e.toggle.bind(e)});return q(t,{get pressed(){return e.pressed},set pressed(t){e.pressed=t}})}},EquisizedsGroup:class extends Y{static get instanceClassName(){return"EquisizedsGroup"}init(){this.isResizing=!0,this.isLoading=!0,this.addAscent(ne.CHANGE,this.resize.bind(this))}load(){this.resize()}resize(){const e=this.element.getDescendantInstances("Equisized");this.isLegacy||this.style.setProperty("--equisized-width","auto");const t=Math.max(...e.map((e=>e.measure())));this.isLegacy?e.forEach((e=>e.adjust(t))):this.style.setProperty("--equisized-width",`${t}px`)}},InjectSvg:class extends Y{static get instanceClassName(){return"InjectSvg"}init(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()}get proxy(){const e=this;return Object.assign(super.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})}fetch(){this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((e=>e.text())).then((e=>{const t=(new DOMParser).parseFromString(e,"text/html");this.svg=t.querySelector("svg"),this.svg&&this.replace()})))}replace(){if(!this.svg)return void this.fetch();this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID);let e=this.imgURL.match(/[ \w-]+\./)[0];e&&(e=e.slice(0,-1),["dark","light","system"].includes(e)&&(this.svg.innerHTML=this.svg.innerHTML.replaceAll('id="artwork-',`id="${e}-artwork-`),this.svg.innerHTML=this.svg.innerHTML.replaceAll('"#artwork-',`"#${e}-artwork-`))),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var t,s;t=this.svg,s={"aria-hidden":!0,focusable:!1},Object.keys(s).forEach((e=>t.setAttribute(e,s[e]))),this.node.replaceChild(this.svg,this.img)}restore(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))}},InjectSvgSelector:oe,Artwork:class extends Y{static get instanceClassName(){return"Artwork"}init(){this.isLegacy&&this.replace()}get proxy(){return Object.assign(super.proxy,{replace:this.replace.bind(this)})}fetch(){this.xlink=this.node.getAttribute("xlink:href");const e=this.xlink.split("#");this.svgUrl=e[0],this.svgName=e[1];const t=new XMLHttpRequest;t.onload=()=>{const e=(new DOMParser).parseFromString(t.responseText,"text/html");this.realSvgContent=e.getElementById(this.svgName),this.realSvgContent&&(this.realSvgContent.classList.add(this.node.classList),this.replace())},t.open("GET",this.svgUrl),t.send()}replace(){this.realSvgContent?this.node.parentNode.replaceChild(this.realSvgContent,this.node):this.fetch()}},ArtworkSelector:ae,Ratio:class extends Y{static get instanceClassName(){return"Ratio"}init(){if(!ue.internals.support.supportAspectRatio()){this.ratio=16/9;for(const e in this.classNames)if(this.registration.selector.indexOf(this.classNames[e])>0){const t=this.classNames[e].split("ratio-");t[1]&&(this.ratio=t[1].split("x")[0]/t[1].split("x")[1])}this.isRendering=!0,this.update()}}render(){this.getRect().width!==this.currentWidth&&this.update()}update(){this.currentWidth=this.getRect().width,this.style.height=this.currentWidth/this.ratio+"px"}},RatioSelector:de},F.internals.register(F.core.CollapseSelector.COLLAPSE,F.core.Collapse),F.internals.register(F.core.InjectSvgSelector.INJECT_SVG,F.core.InjectSvg),F.internals.register(F.core.RatioSelector.RATIO,F.core.Ratio);const ge={SYSTEM:"system",LIGHT:"light",DARK:"dark"},pe={THEME:ue.internals.ns.attr("theme"),SCHEME:ue.internals.ns.attr("scheme"),TRANSITION:ue.internals.ns.attr("transition")},me={LIGHT:"light",DARK:"dark"},fe={SCHEME:ue.internals.ns.emission("scheme","scheme"),THEME:ue.internals.ns.emission("scheme","theme"),ASK:ue.internals.ns.emission("scheme","ask")};class be extends ue.core.Instance{constructor(){super(!1)}static get instanceClassName(){return"Scheme"}init(){this.changing=this.change.bind(this),this.hasAttribute(pe.TRANSITION)&&(this.removeAttribute(pe.TRANSITION),this.request(this.restoreTransition.bind(this)));const e=ue.internals.support.supportLocalStorage()?localStorage.getItem("scheme"):"",t=this.getAttribute(pe.SCHEME);switch(e){case ge.DARK:case ge.LIGHT:case ge.SYSTEM:this.scheme=e;break;default:switch(t){case ge.DARK:this.scheme=ge.DARK;break;case ge.LIGHT:this.scheme=ge.LIGHT;break;default:this.scheme=ge.SYSTEM}}this.addAscent(fe.ASK,this.ask.bind(this)),this.addAscent(fe.SCHEME,this.apply.bind(this))}get proxy(){const e=this,t={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return ue.internals.property.completeAssign(super.proxy,t)}restoreTransition(){this.setAttribute(pe.TRANSITION,"")}ask(){this.descend(fe.SCHEME,this.scheme)}apply(e){this.scheme=e}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e){switch(this._scheme=e,e){case ge.SYSTEM:this.listenPreferences();break;case ge.DARK:this.unlistenPreferences(),this.theme=me.DARK;break;case ge.LIGHT:this.unlistenPreferences(),this.theme=me.LIGHT;break;default:return void(this.scheme=ge.SYSTEM)}this.descend(fe.SCHEME,e),ue.internals.support.supportLocalStorage()&&localStorage.setItem("scheme",e),this.setAttribute(pe.SCHEME,e)}}get theme(){return this._theme}set theme(e){if(this._theme!==e)switch(e){case me.LIGHT:case me.DARK:this._theme=e,this.setAttribute(pe.THEME,e),this.descend(fe.THEME,e)}}listenPreferences(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener("change",this.changing),this.change())}unlistenPreferences(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)}change(){this.isListening&&(this.theme=this.mediaQuery.matches?me.DARK:me.LIGHT)}mutate(e){e.indexOf(pe.SCHEME)>-1&&(this.scheme=this.getAttribute(pe.SCHEME)),e.indexOf(pe.THEME)>-1&&(this.theme=this.getAttribute(pe.THEME))}dispose(){this.unlistenPreferences()}}const _e={SCHEME:`:root${ue.internals.ns.attr.selector("theme")}, :root${ue.internals.ns.attr.selector("scheme")}`,SWITCH_THEME:ue.internals.ns.selector("switch-theme"),RADIO_BUTTONS:`input[name="${ue.internals.ns("radios-theme")}"]`};ue.scheme={Scheme:be,SchemeValue:ge,SchemeSelector:_e,SchemeEmission:fe,SchemeTheme:me},ue.internals.register(ue.scheme.SchemeSelector.SCHEME,ue.scheme.Scheme);const ye={GROUP:ue.internals.ns.selector("accordions-group"),COLLAPSE:`${ue.internals.ns.selector("accordion")} > ${ue.internals.ns.selector("collapse")}`};class Ee extends ue.core.CollapsesGroup{static get instanceClassName(){return"AccordionsGroup"}validate(e){return e.node.matches(ye.COLLAPSE)}}ue.accordion={AccordionSelector:ye,AccordionsGroup:Ee},ue.internals.register(ue.accordion.AccordionSelector.GROUP,ue.accordion.AccordionsGroup);const Se={EQUISIZED_BUTTON:`${ue.internals.ns.selector("btns-group--equisized")} ${ue.internals.ns.selector("btn")}`,EQUISIZED_GROUP:ue.internals.ns.selector("btns-group--equisized")};ue.button={ButtonSelector:Se},ue.internals.register(ue.button.ButtonSelector.EQUISIZED_BUTTON,ue.core.Equisized),ue.internals.register(ue.button.ButtonSelector.EQUISIZED_GROUP,ue.core.EquisizedsGroup);class Ae extends ue.core.Instance{constructor(){super(),this.count=0,this.focusing=this.focus.bind(this)}static get instanceClassName(){return"Breadcrumb"}init(){this.getCollapse(),this.isResizing=!0}get proxy(){const e=this;return Object.assign(super.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})}getCollapse(){const e=this.collapse;e?e.listen(ue.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(ue.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))}resize(){const e=this.collapse,t=this.links;e&&t.length&&(this.isBreakpoint(ue.core.Breakpoints.MD)?e.buttonHasFocus&&t[0].focus():t.indexOf(document.activeElement)>-1&&e.focus())}get links(){return[...this.querySelectorAll("a[href]")]}get collapse(){return this.element.getDescendantInstances(ue.core.Collapse.instanceClassName,null,!0)[0]}focus(){this.count=0,this._focus()}_focus(){const e=this.links[0];e&&(e.focus(),this.request(this.verify.bind(this)))}verify(){if(this.count++,this.count>100)return;const e=this.links[0];e&&document.activeElement!==e&&this._focus()}}const ve={BREADCRUMB:ue.internals.ns.selector("breadcrumb")};ue.breadcrumb={BreadcrumbSelector:ve,Breadcrumb:Ae},ue.internals.register(ue.breadcrumb.BreadcrumbSelector.BREADCRUMB,ue.breadcrumb.Breadcrumb);class Ce extends ue.core.Instance{static get instanceClassName(){return"ToggleInput"}get isChecked(){return this.hasAttribute("checked")}}class Le extends ue.core.Instance{static get instanceClassName(){return"ToggleStatusLabel"}init(){this.register(`input[id="${this.getAttribute("for")}"]`,Ce),this.update(),this.isSwappingFont=!0}get proxy(){return Object.assign(super.proxy,{update:this.update.bind(this)})}get input(){return this.getRegisteredInstances("ToggleInput")[0]}update(){this.node.style.removeProperty("--toggle-status-width");const e=this.input.isChecked,t=getComputedStyle(this.node,":before");let s=parseFloat(t.width);this.input.node.checked=!e;const i=getComputedStyle(this.node,":before"),n=parseFloat(i.width);n>s&&(s=n),this.input.node.checked=e,this.node.style.setProperty("--toggle-status-width",s/16+"rem")}swapFont(e){this.update()}}const Te={STATUS_LABEL:`${ue.internals.ns.selector("toggle__label")}${ue.internals.ns.attr.selector("checked-label")}${ue.internals.ns.attr.selector("unchecked-label")}`};ue.toggle={ToggleStatusLabel:Le,ToggleSelector:Te},ue.internals.register(ue.toggle.ToggleSelector.STATUS_LABEL,ue.toggle.ToggleStatusLabel);const Ne={LIST:ue.internals.ns.selector("sidemenu__list"),COLLAPSE:`${ue.internals.ns.selector("sidemenu__item")} > ${ue.internals.ns.selector("collapse")}`};class xe extends ue.core.CollapsesGroup{static get instanceClassName(){return"SidemenuList"}validate(e){return e.node.matches(Ne.COLLAPSE)}}ue.sidemenu={SidemenuList:xe,SidemenuSelector:Ne},ue.internals.register(ue.sidemenu.SidemenuSelector.LIST,ue.sidemenu.SidemenuList);const Oe={MODAL:ue.internals.ns.selector("modal"),SCROLL_SHADOW:ue.internals.ns.selector("scroll-shadow"),BODY:ue.internals.ns.selector("modal__body")};class Ie extends ue.core.DisclosureButton{constructor(){super(ue.core.DisclosureType.OPENED)}static get instanceClassName(){return"ModalButton"}}const we={CONCEALING_BACKDROP:ue.internals.ns.attr("concealing-backdrop")};class De extends ue.core.Disclosure{constructor(){super(ue.core.DisclosureType.OPENED,Oe.MODAL,Ie,"ModalsGroup"),this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}static get instanceClassName(){return"Modal"}init(){super.init(),this.listen("click",this.click.bind(this)),this.listenKey(ue.core.KeyCodes.ESCAPE,this.conceal.bind(this,!1,!1),!0,!0)}get body(){return this.element.getDescendantInstances("ModalBody","Modal")[0]}click(e){e.target===this.node&&"false"!==this.getAttribute(we.CONCEALING_BACKDROP)&&this.conceal()}disclose(e){return!!super.disclose(e)&&(this.body&&this.body.activate(),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),this.setAttribute("open","true"),!0)}conceal(e,t){return!!super.conceal(e,t)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.removeAttribute("open"),this.body&&this.body.deactivate(),!0)}}const Me=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),Re=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),ke=(e,t)=>{if(!(e instanceof Element))return!1;const s=window.getComputedStyle(e);if(!s)return!1;if("hidden"===s.visibility)return!1;for(void 0===t&&(t=e);t.contains(e);){if("none"===s.display)return!1;e=e.parentElement}return!0};class Pe{constructor(e,t){this.element=null,this.activeElement=null,this.onTrap=e,this.onUntrap=t,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null}get trapped(){return null!==this.element}trap(e){this.trapped&&this.untrap(),this.element=e,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()}wait(){ke(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)}trapping(){if(!this.isTrapping)return;this.isTrapping=!1;const e=this.focusables;e.length&&e[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}stun(e){for(const t of e.children)t!==this.element&&(t.contains(this.element)?this.stun(t):this.stunneds.push(new He(t)))}maintainFocus(e){if(!this.element.contains(e.target)){const t=this.focusables;if(0===t.length)return;const s=t[0];e.preventDefault(),s.focus()}}handle(e){if(9!==e.keyCode)return;const t=this.focusables;if(0===t.length)return;const s=t[0],i=t[t.length-1],n=t.indexOf(document.activeElement);e.shiftKey?!this.element.contains(document.activeElement)||n<1?(e.preventDefault(),i.focus()):(document.activeElement.tabIndex>0||t[n-1].tabIndex>0)&&(e.preventDefault(),t[n-1].focus()):this.element.contains(document.activeElement)&&n!==t.length-1&&-1!==n?document.activeElement.tabIndex>0&&(e.preventDefault(),t[n+1].focus()):(e.preventDefault(),s.focus())}get focusables(){let e=ue.internals.dom.querySelectorAllArray(this.element,Me);const t=ue.internals.dom.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(t.length){const s={};for(const e of t){const t=e.getAttribute("name");void 0===s[t]&&(s[t]=new Ge(t)),s[t].push(e)}e=e.filter((e=>{if("input"!==e.tagName.toLowerCase()||"radio"!==e.getAttribute("type").toLowerCase())return!0;const t=e.getAttribute("name");return s[t].keep(e)}))}const s=ue.internals.dom.querySelectorAllArray(this.element,Re);s.sort(((e,t)=>e.tabIndex-t.tabIndex));const i=e.filter((e=>-1===s.indexOf(e)));return s.concat(i).filter((e=>"-1"!==e.tabIndex&&ke(e,this.element)))}untrap(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())}dispose(){this.untrap()}}class He{constructor(e){this.element=e,this.inert=e.getAttribute("inert"),this.element.setAttribute("inert","")}unstun(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)}}class Ge{constructor(e){this.name=e,this.buttons=[]}push(e){this.buttons.push(e),(e===document.activeElement||e.checked||void 0===this.selected)&&(this.selected=e)}keep(e){return this.selected===e}}class $e extends ue.core.DisclosuresGroup{constructor(){super("Modal",!1),this.focusTrap=new Pe}static get instanceClassName(){return"ModalsGroup"}apply(e,t){super.apply(e,t),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)}}class qe extends ue.core.Instance{static get instanceClassName(){return"ModalBody"}init(){this.listen("scroll",this.shade.bind(this))}activate(){this.isResizing=!0,this.resize()}deactivate(){this.isResizing=!1}shade(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass(Oe.SCROLL_SHADOW):this.addClass(Oe.SCROLL_SHADOW):this.removeClass(Oe.SCROLL_SHADOW)}resize(){this.adjust(),this.request(this.adjust.bind(this))}adjust(){const e=32*(this.isBreakpoint(ue.core.Breakpoints.MD)?2:1);this.isLegacy?this.style.maxHeight=window.innerHeight-e+"px":this.style.setProperty("--modal-max-height",window.innerHeight-e+"px"),this.shade()}}ue.modal={Modal:De,ModalButton:Ie,ModalBody:qe,ModalsGroup:$e,ModalSelector:Oe},ue.internals.register(ue.modal.ModalSelector.MODAL,ue.modal.Modal),ue.internals.register(ue.modal.ModalSelector.BODY,ue.modal.ModalBody),ue.internals.register(ue.core.RootSelector.ROOT,ue.modal.ModalsGroup);const Be={NAVIGATION:ue.internals.ns.selector("nav"),COLLAPSE:`${ue.internals.ns.selector("nav__item")} > ${ue.internals.ns.selector("collapse")}`,ITEM:ue.internals.ns.selector("nav__item"),ITEM_RIGHT:ue.internals.ns("nav__item--align-right"),MENU:ue.internals.ns.selector("menu")};class ze extends ue.core.Instance{constructor(){super(),this._isRightAligned=!1}static get instanceClassName(){return"NavigationItem"}init(){this.addAscent(ue.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(ue.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()}resize(){this.calculate()}calculate(){const e=this.element.getDescendantInstances(ue.core.Collapse.instanceClassName,null,!0)[0];if(e&&this.isBreakpoint(ue.core.Breakpoints.LG)&&e.element.node.matches(Be.MENU)){const t=this.element.node.parentElement.getBoundingClientRect().right,s=e.element.node.getBoundingClientRect().width,i=this.element.node.getBoundingClientRect().left;this.isRightAligned=i+s>t}else this.isRightAligned=!1}get isRightAligned(){return this._isRightAligned}set isRightAligned(e){this._isRightAligned!==e&&(this._isRightAligned=e,e?ue.internals.dom.addClass(this.element.node,Be.ITEM_RIGHT):ue.internals.dom.removeClass(this.element.node,Be.ITEM_RIGHT))}}const Ue={NONE:-1,INSIDE:0,OUTSIDE:1};class Fe extends ue.core.CollapsesGroup{static get instanceClassName(){return"Navigation"}init(){super.init(),this.clicked=!1,this.out=!1,this.listen("focusout",this.focusOut.bind(this)),this.listen("mousedown",this.down.bind(this))}validate(e){return e.element.node.matches(Be.COLLAPSE)}down(e){this.isBreakpoint(ue.core.Breakpoints.LG)&&-1!==this.index&&this.current&&(this.position=this.current.node.contains(e.target)?Ue.INSIDE:Ue.OUTSIDE,this.requestPosition())}focusOut(e){this.isBreakpoint(ue.core.Breakpoints.LG)&&(this.out=!0,this.requestPosition())}requestPosition(){this.isRequesting||(this.isRequesting=!0,this.request(this.getPosition.bind(this)))}getPosition(){if(this.out)switch(this.position){case Ue.OUTSIDE:this.index=-1;break;case Ue.INSIDE:this.current&&!this.current.node.contains(document.activeElement)&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.request(this.requested.bind(this))}requested(){this.position=Ue.NONE,this.out=!1,this.isRequesting=!1}get index(){return super.index}set index(e){-1===e&&null!==this.current&&this.current.hasFocus&&this.current.focus(),super.index=e}}ue.navigation={Navigation:Fe,NavigationItem:ze,NavigationMousePosition:Ue,NavigationSelector:Be},ue.internals.register(ue.navigation.NavigationSelector.NAVIGATION,ue.navigation.Navigation),ue.internals.register(ue.navigation.NavigationSelector.ITEM,ue.navigation.NavigationItem);class je extends ue.core.DisclosureButton{constructor(){super(ue.core.DisclosureType.SELECT)}static get instanceClassName(){return"TabButton"}apply(e){super.apply(e),this.isPrimary&&(this.setAttribute("tabindex",e?"0":"-1"),e&&this.list&&this.list.focalize(this))}get list(){return this.element.getAscendantInstance("TabsList","TabsGroup")}}const We={TAB:ue.internals.ns.selector("tabs__tab"),GROUP:ue.internals.ns.selector("tabs"),PANEL:ue.internals.ns.selector("tabs__panel"),LIST:ue.internals.ns.selector("tabs__list"),SHADOW:ue.internals.ns.selector("tabs__shadow"),SHADOW_LEFT:ue.internals.ns.selector("tabs__shadow--left"),SHADOW_RIGHT:ue.internals.ns.selector("tabs__shadow--right"),PANEL_START:ue.internals.ns.selector("tabs__panel--direction-start"),PANEL_END:ue.internals.ns.selector("tabs__panel--direction-end")},Ke="direction-start",Ye="direction-end",Ve="none";class Qe extends ue.core.Disclosure{constructor(){super(ue.core.DisclosureType.SELECT,We.PANEL,je,"TabsGroup"),this._direction=Ve,this._isPreventingTransition=!1}static get instanceClassName(){return"TabPanel"}get direction(){return this._direction}set direction(e){if(e!==this._direction){switch(this._direction){case Ke:this.removeClass(We.PANEL_START);break;case Ye:this.removeClass(We.PANEL_END);break;case Ve:break;default:return}switch(this._direction=e,this._direction){case Ke:this.addClass(We.PANEL_START);break;case Ye:this.addClass(We.PANEL_END)}}}get isPreventingTransition(){return this._isPreventingTransition}set isPreventingTransition(e){this._isPreventingTransition!==e&&(e?this.addClass(ue.internals.motion.TransitionSelector.NONE):this.removeClass(ue.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===e)}translate(e,t){this.isPreventingTransition=t,this.direction=e}reset(){this.group.index=0}}class Ze extends ue.core.DisclosuresGroup{constructor(){super("TabPanel")}static get instanceClassName(){return"TabsGroup"}init(){super.init(),this.listen("transitionend",this.transitionend.bind(this)),this.listenKey(ue.core.KeyCodes.RIGHT,this.pressRight.bind(this),!0,!0),this.listenKey(ue.core.KeyCodes.LEFT,this.pressLeft.bind(this),!0,!0),this.listenKey(ue.core.KeyCodes.HOME,this.pressHome.bind(this),!0,!0),this.listenKey(ue.core.KeyCodes.END,this.pressEnd.bind(this),!0,!0),this.isRendering=!0,this.list&&this.list.apply()}get list(){return this.element.getDescendantInstances("TabsList","TabsGroup",!0)[0]}transitionend(e){this.isPreventingTransition=!0}get buttonHasFocus(){return this.members.some((e=>e.buttonHasFocus))}pressRight(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())}pressLeft(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())}pressHome(){this.buttonHasFocus&&(this.index=0,this.focus())}pressEnd(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())}focus(){this.current&&this.current.focus()}apply(){for(let e=0;e<this._index;e++)this.members[e].translate(Ke);this.current.translate(Ve);for(let e=this._index+1;e<this.length;e++)this.members[e].translate(Ye);this.isPreventingTransition=!1}get isPreventingTransition(){return this._isPreventingTransition}set isPreventingTransition(e){this._isPreventingTransition!==e&&(e?this.addClass(ue.internals.motion.TransitionSelector.NONE):this.removeClass(ue.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===e)}render(){if(null===this.current)return;const e=Math.round(this.current.node.offsetHeight);if(this.panelHeight===e)return;this.panelHeight=e;let t=0;this.list&&(t=this.list.node.offsetHeight),this.style.setProperty("--tabs-height",this.panelHeight+t+"px")}}class Xe extends ue.core.Instance{static get instanceClassName(){return"TabsList"}init(){this.listen("scroll",this.scroll.bind(this)),this.isResizing=!0}get group(){return this.element.getAscendantInstance("TabsGroup","TabsList")}focalize(e){const t=e.getRect(),s=this.getRect(),i=this.node.scrollLeft;t.left<s.left?this.node.scrollTo(i-s.left+t.left-16,0):t.right>s.right&&this.node.scrollTo(i-s.right+t.right+16,0)}get isScrolling(){return this._isScrolling}set isScrolling(e){this._isScrolling!==e&&(this._isScrolling=e,this.apply())}apply(){this.group&&(this._isScrolling?(this.group.addClass(We.SHADOW),this.scroll()):(this.group.removeClass(We.SHADOW_RIGHT),this.group.removeClass(We.SHADOW_LEFT),this.group.removeClass(We.SHADOW)))}scroll(){if(!this.group)return;const e=this.node.scrollLeft,t=e<=16,s=this.node.scrollWidth-this.node.clientWidth-16,i=Math.abs(e)>=s,n="rtl"===document.documentElement.getAttribute("dir"),r=n?We.SHADOW_RIGHT:We.SHADOW_LEFT,o=n?We.SHADOW_LEFT:We.SHADOW_RIGHT;t?this.group.removeClass(r):this.group.addClass(r),i?this.group.removeClass(o):this.group.addClass(o)}resize(){this.isScrolling=this.node.scrollWidth>this.node.clientWidth+16,this.setProperty("--tab-list-height",`${this.getRect().height}px`)}dispose(){this.isScrolling=!1}}ue.tab={TabPanel:Qe,TabButton:je,TabsGroup:Ze,TabsList:Xe,TabSelector:We},ue.internals.register(ue.tab.TabSelector.PANEL,ue.tab.TabPanel),ue.internals.register(ue.tab.TabSelector.GROUP,ue.tab.TabsGroup),ue.internals.register(ue.tab.TabSelector.LIST,ue.tab.TabsList);const Je={SCROLLABLE:ue.internals.ns.emission("table","scrollable"),CHANGE:ue.internals.ns.emission("table","change"),CAPTION_HEIGHT:ue.internals.ns.emission("table","captionheight")};class et extends ue.core.Instance{static get instanceClassName(){return"Table"}init(){this.addAscent(Je.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))}setCaptionHeight(e){this.setProperty("--table-offset",`calc(${e}px + 1rem)`)}}const tt={TABLE:ue.internals.ns.selector("table"),SHADOW:ue.internals.ns.selector("table__shadow"),SHADOW_LEFT:ue.internals.ns.selector("table__shadow--left"),SHADOW_RIGHT:ue.internals.ns.selector("table__shadow--right"),ELEMENT:`${ue.internals.ns.selector("table")}:not(${ue.internals.ns.selector("table--no-scroll")}) table`,CAPTION:`${ue.internals.ns.selector("table")} table caption`};class st extends ue.core.Instance{static get instanceClassName(){return"TableElement"}init(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.isResizing=!0}get isScrolling(){return this._isScrolling}set isScrolling(e){this._isScrolling!==e&&(this._isScrolling=e,e?(this.addClass(tt.SHADOW),this.scroll()):(this.removeClass(tt.SHADOW),this.removeClass(tt.SHADOW_LEFT),this.removeClass(tt.SHADOW_RIGHT)))}scroll(){const e=this.node.scrollLeft<=8,t=this.content.offsetWidth-this.node.offsetWidth-8,s=Math.abs(this.node.scrollLeft)>=t,i="rtl"===document.documentElement.getAttribute("dir"),n=i?tt.SHADOW_RIGHT:tt.SHADOW_LEFT,r=i?tt.SHADOW_LEFT:tt.SHADOW_RIGHT;e?this.removeClass(n):this.addClass(n),s?this.removeClass(r):this.addClass(r)}resize(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth}dispose(){this.isScrolling=!1}}class it extends ue.core.Instance{static get instanceClassName(){return"TableCaption"}init(){this.height=0,this.isResizing=!0}resize(){const e=this.getRect().height;this.height!==e&&(this.height=e,this.ascend(Je.CAPTION_HEIGHT,e))}}ue.table={Table:et,TableElement:st,TableCaption:it,TableSelector:tt},ue.internals.register(ue.table.TableSelector.TABLE,ue.table.Table),ue.internals.register(ue.table.TableSelector.ELEMENT,ue.table.TableElement),ue.internals.register(ue.table.TableSelector.CAPTION,ue.table.TableCaption);const nt={TAG_PRESSABLE:`${ue.internals.ns.selector("tag")}[aria-pressed]`};ue.tag={TagSelector:nt},ue.internals.register(ue.tag.TagSelector.TAG_PRESSABLE,ue.core.Toggle);const rt={DOWNLOAD_ASSESS_FILE:`${ue.internals.ns.attr.selector("assess-file")}`,DOWNLOAD_DETAIL:`${ue.internals.ns.selector("download__detail")}`};class ot extends ue.core.Instance{static get instanceClassName(){return"AssessFile"}init(){this.lang=this.getLang(this.node),this.href=this.getAttribute("href"),this.hreflang=this.getAttribute("hreflang"),this.file={},this.detail=this.querySelector(rt.DOWNLOAD_DETAIL),this.update()}getFileLength(){void 0!==this.href?fetch(this.href,{method:"HEAD",mode:"cors"}).then((e=>{this.length=e.headers.get("content-length")||-1,-1===this.length&&console.warn("Impossible de détecter le poids du fichier "+this.href+'\nErreur de récupération de l\'en-tête HTTP : "content-length"'),this.update()})):this.length=-1}update(){if(this.isLegacy&&(this.length=-1),!this.length)return void this.getFileLength();const e=[];if(this.detail){if(this.href){const t=this.parseExtension(this.href);t&&e.push(t.toUpperCase())}-1!==this.length&&e.push(this.bytesToSize(this.length)),this.hreflang&&e.push(this.getLangDisplayName(this.hreflang)),this.detail.innerHTML=e.join(" - ")}}getLang(e){return e.lang?e.lang:document.documentElement===e?window.navigator.language:this.getLang(e.parentElement)}parseExtension(e){return e.match(/\.(\w{1,9})(?:$|[?#])/)[0].replace(".","")}getLangDisplayName(e){if(this.isLegacy)return e;const t=new Intl.DisplayNames([this.lang],{type:"language"}).of(e);return t.charAt(0).toUpperCase()+t.slice(1)}bytesToSize(e){if(-1===e)return null;let t=["octets","ko","Mo","Go","To"];"bytes"===this.getAttribute(ue.internals.ns.attr("assess-file"))&&(t=["bytes","KB","MB","GB","TB"]);const s=parseInt(Math.floor(Math.log(e)/Math.log(1e3)),10);if(0===s)return`${e} ${t[s]}`;const i=e/1e3**s,n=Math.round(100*(i+Number.EPSILON))/100;return`${String(n).replace(".",",")} ${t[s]}`}}ue.download={DownloadSelector:rt,AssessFile:ot},ue.internals.register(ue.download.DownloadSelector.DOWNLOAD_ASSESS_FILE,ue.download.AssessFile);const at={HEADER:ue.internals.ns.selector("header"),TOOLS_LINKS:ue.internals.ns.selector("header__tools-links"),MENU_LINKS:ue.internals.ns.selector("header__menu-links"),BUTTONS:`${ue.internals.ns.selector("header__tools-links")} ${ue.internals.ns.selector("btns-group")}, ${ue.internals.ns.selector("header__tools-links")} ${ue.internals.ns.selector("links-group")}`,MODALS:`${ue.internals.ns.selector("header__search")}${ue.internals.ns.selector("modal")}, ${ue.internals.ns.selector("header__menu")}${ue.internals.ns.selector("modal")}`};class ct extends ue.core.Instance{static get instanceClassName(){return"HeaderLinks"}init(){const e=this.queryParentSelector(at.HEADER);this.toolsLinks=e.querySelector(at.TOOLS_LINKS),this.menuLinks=e.querySelector(at.MENU_LINKS);const t=this.toolsLinks.innerHTML.replace(/  +/g," "),s=this.menuLinks.innerHTML.replace(/  +/g," ");let i=t.replace(/ id="(.*?)"/gm,' id="$1_copy"');if(i=i.replace(/ aria-controls="(.*?)"/gm,' aria-controls="$1_copy"'),i!==s)switch(ue.mode){case ue.Modes.ANGULAR:case ue.Modes.REACT:case ue.Modes.VUE:ue.inspector.warn(`header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation:\n${ue.header.doc}`);break;default:this.menuLinks.innerHTML=i}}}class ht extends ue.core.Instance{static get instanceClassName(){return"HeaderModal"}init(){this.isResizing=!0}resize(){this.isBreakpoint(ue.core.Breakpoints.LG)?this.unqualify():this.qualify()}qualify(){this.setAttribute("role","dialog");const e=this.element.getInstance("Modal");if(!e)return;const t=e.buttons;let s="";for(const e of t)if(s=e.id||s,e.isPrimary&&s)break;this.setAttribute("aria-labelledby",s)}unqualify(){const e=this.element.getInstance("Modal");e&&e.conceal(),this.removeAttribute("role"),this.removeAttribute("aria-labelledby")}}ue.header={HeaderLinks:ct,HeaderModal:ht,HeaderSelector:at,doc:"https://gouvfr.atlassian.net/wiki/spaces/DB/pages/222789846/En-t+te+-+Header"},ue.internals.register(ue.header.HeaderSelector.BUTTONS,ue.header.HeaderLinks),ue.internals.register(ue.header.HeaderSelector.MODALS,ue.header.HeaderModal);const lt={DISPLAY:ue.internals.ns.selector("display"),RADIO_BUTTONS:`input[name="${ue.internals.ns("radios-theme")}"]`,FIELDSET:ue.internals.ns.selector("fieldset")};class dt extends ue.core.Instance{static get instanceClassName(){return"Display"}init(){if(this.radios=this.querySelectorAll(lt.RADIO_BUTTONS),ue.scheme){this.changing=this.change.bind(this);for(const e of this.radios)e.addEventListener("change",this.changing);this.addDescent(ue.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(ue.scheme.SchemeEmission.ASK)}else this.querySelector(lt.FIELDSET).setAttribute("disabled","")}get scheme(){return this._scheme}set scheme(e){if(this._scheme!==e&&ue.scheme)switch(e){case ue.scheme.SchemeValue.SYSTEM:case ue.scheme.SchemeValue.LIGHT:case ue.scheme.SchemeValue.DARK:this._scheme=e;for(const t of this.radios)t.checked=t.value===e;this.ascend(ue.scheme.SchemeEmission.SCHEME,e)}}change(){for(const e of this.radios)if(e.checked)return void(this.scheme=e.value)}apply(e){this.scheme=e}dispose(){for(const e of this.radios)e.removeEventListener("change",this.changing)}}ue.display={Display:dt,DisplaySelector:lt},ue.internals.register(ue.display.DisplaySelector.DISPLAY,ue.display.Display);
//# sourceMappingURL=dsfr.module.min.js.map
