/*! DSFR v1.7.2 | SPDX-License-Identifier: MIT | License-Filename: LICENSE.md | restricted use (see terms and conditions) */
!function(){"use strict";var t=function(){this.modules={}},e={isActive:{configurable:!0},isLegacy:{configurable:!0}};t.prototype.create=function(t){var e=new t;this.modules[e.type]=e},t.prototype.getModule=function(t){return this.modules[t]},t.prototype.add=function(t,e){this.modules[t].add(e)},t.prototype.remove=function(t,e){this.modules[t].remove(e)},e.isActive.get=function(){return this._isActive},e.isActive.set=function(t){var e=this;if(t!==this._isActive){this._isActive=t;var n=Object.keys(this.modules).map((function(t){return e.modules[t]}));if(t)for(var i=0,s=n;i<s.length;i+=1){s[i].activate()}else for(var o=0,r=n;o<r.length;o+=1){r[o].deactivate()}}},e.isLegacy.get=function(){return this._isLegacy},e.isLegacy.set=function(t){t!==this._isLegacy&&(this._isLegacy=t)},Object.defineProperties(t.prototype,e);var n=new t,i="fr",s="dsfr",o="1.7.2",r=function(t,e,n,i){switch(this.level=t,this.light=e,this.dark=n,i){case"warn":this.logger=console.warn;break;case"error":this.logger=console.error;break;default:this.logger=console.log}},a={color:{configurable:!0}};r.prototype.log=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var n=new c(s),i=0,o=t;i<o.length;i+=1){var r=o[i];n.add(r)}this.print(n)},r.prototype.print=function(t){t.setColor(this.color),this.logger.apply(console,t.getMessage())},a.color.get=function(){return window.matchMedia("(prefers-color-scheme: dark)").matches?this.dark:this.light},Object.defineProperties(r.prototype,a);var c=function(t){this.inputs=["%c"],this.styles=["font-family:Marianne","line-height: 1.5"],this.objects=[],t&&this.add(t+" :")};c.prototype.add=function(t){switch(typeof t){case"object":case"function":this.inputs.push("%o "),this.objects.push(t);break;default:this.inputs.push(t+" ")}},c.prototype.setColor=function(t){this.styles.push("color:"+t)},c.prototype.getMessage=function(){return[this.inputs.join(""),this.styles.join(";")].concat(this.objects)};var l={trace:new r(0,"#616161","#989898"),debug:new r(1,"#000091","#8B8BFF"),info:new r(2,"#007c3b","#00ed70"),warn:new r(3,"#ba4500","#fa5c00","warn"),error:new r(4,"#D80600","#FF4641","error")},u=function(){var t=this;this.level=2;var e=function(e){var n=l[e];t[e]=function(){for(var e=[],i=arguments.length;i--;)e[i]=arguments[i];t.level<=n.level&&n.log.apply(n,e)},t[e].print=n.print.bind(n)};for(var n in l)e(n)};u.prototype.state=function(){var t=new c;t.add(n),this.trace.print(t)},u.prototype.tree=function(){var t=n.getModule("stage");if(t){var e=new c;this._branch(t.root,0,e),this.trace.print(e)}},u.prototype._branch=function(t,e,n){var i="";if(e>0){for(var s="",o=0;o<e;o++)s+="    ";i+=s+"└─ "}i+="["+t.id+"] "+t.html,n.add(i),n.add({"@":t}),n.add("\n");for(var r=0,a=t.children;r<a.length;r+=1){var c=a[r];i+=this._branch(c,e+1,n)}};var p=new u,h=function(t){"loading"!==document.readyState?window.requestAnimationFrame(t):document.addEventListener("DOMContentLoaded",t)},d={AUTO:"auto",MANUAL:"manual",RUNTIME:"runtime",LOADED:"loaded",VUE:"vue",ANGULAR:"angular",REACT:"react"},f=function(){this._mode=d.AUTO,this.isStarted=!1,this.starting=this.start.bind(this),this.preventManipulation=!1},g={mode:{configurable:!0}};f.prototype.configure=function(t,e){void 0===t&&(t={}),this.startCallback=e,!0===t.verbose&&(p.level=0),this.mode=t.mode||d.AUTO},g.mode.set=function(t){switch(t){case d.AUTO:this.preventManipulation=!1,e=this.starting,h(e);break;case d.LOADED:this.preventManipulation=!1,h(this.starting);break;case d.RUNTIME:this.preventManipulation=!1,this.start();break;case d.MANUAL:this.preventManipulation=!1;break;case d.VUE:case d.ANGULAR:case d.REACT:this.preventManipulation=!0;break;default:return void p.error("Illegal mode")}var e;this._mode=t,p.info("mode set to "+t)},g.mode.get=function(){return this._mode},f.prototype.start=function(){p.info("start"),this.startCallback()},Object.defineProperties(f.prototype,g);var y=new f,m=function(){this._collection=[]},b={length:{configurable:!0},collection:{configurable:!0}};m.prototype.forEach=function(t){this._collection.forEach(t)},m.prototype.map=function(t){return this._collection.map(t)},b.length.get=function(){return this._collection.length},m.prototype.add=function(t){return!(this._collection.indexOf(t)>-1)&&(this._collection.push(t),this.onAdd&&this.onAdd(),this.onPopulate&&1===this._collection.length&&this.onPopulate(),!0)},m.prototype.remove=function(t){var e=this._collection.indexOf(t);if(-1===e)return!1;this._collection.splice(e,1),this.onRemove&&this.onRemove(),this.onEmpty&&0===this._collection.length&&this.onEmpty()},m.prototype.execute=function(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];for(var n=0,i=this._collection;n<i.length;n+=1){var s=i[n];s&&s.apply(null,t)}},m.prototype.clear=function(){this._collection.length=0},m.prototype.clone=function(){var t=new m;return t._collection=this._collection.slice(),t},b.collection.get=function(){return this._collection},Object.defineProperties(m.prototype,b);var v=function(t){function e(e){t.call(this),this.type=e,this.isActive=!1}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){},e.prototype.deactivate=function(){},e}(m),_=function(t){return i+"-"+t};_.selector=function(t,e){return void 0===e&&(e="."),""+e+_(t)},(_.attr=function(t){return"data-"+_(t)}).selector=function(t,e){var n=_.attr(t);return void 0!==e&&(n+='="'+e+'"'),"["+n+"]"},_.event=function(t){return s+"."+t},_.emission=function(t,e){return"emission:"+t+"."+e};var E=function(t,e){return Array.prototype.slice.call(t.querySelectorAll(e))},L=function(t,e){var n=t.parentElement;return n.matches(e)?n:n===document.documentElement?null:L(n,e)},S=function(t,e,n){this.selector=t,this.InstanceClass=e,this.creator=n,this.instances=new m,this.isIntroduced=!1,this._instanceClassName=this.InstanceClass.instanceClassName,this._instanceClassNames=this.getInstanceClassNames(this.InstanceClass),this._property=this._instanceClassName.substring(0,1).toLowerCase()+this._instanceClassName.substring(1);var i=this._instanceClassName.replace(/[^a-zA-Z0-9]+/g,"-").replace(/([A-Z]+)([A-Z][a-z])/g,"$1-$2").replace(/([a-z])([A-Z])/g,"$1-$2").replace(/([0-9])([^0-9])/g,"$1-$2").replace(/([^0-9])([0-9])/g,"$1-$2").toLowerCase();this._attribute=_.attr("js-"+i)},O={instanceClassName:{configurable:!0},instanceClassNames:{configurable:!0},property:{configurable:!0},attribute:{configurable:!0}};S.prototype.getInstanceClassNames=function(t){var e=Object.getPrototypeOf(t);return e&&"Instance"!==e.instanceClassName?this.getInstanceClassNames(e).concat([t.instanceClassName]):[t.instanceClassName]},S.prototype.hasInstanceClassName=function(t){return this._instanceClassNames.indexOf(t)>-1},S.prototype.introduce=function(){this.isIntroduced||(this.isIntroduced=!0,n.getModule("stage").parse(document.documentElement,this))},S.prototype.parse=function(t,e){var n=[];return t.matches&&t.matches(this.selector)&&n.push(t),!e&&t.querySelectorAll&&t.querySelector(this.selector)&&n.push.apply(n,E(t,this.selector)),n},S.prototype.create=function(t){if(t.node.matches(this.selector)){var e=new this.InstanceClass;return this.instances.add(e),e}},S.prototype.remove=function(t){this.instances.remove(t)},S.prototype.dispose=function(){for(var t=this.instances.collection,e=t.length-1;e>-1;e--)t[e]._dispose();this.creator=null},O.instanceClassName.get=function(){return this._instanceClassName},O.instanceClassNames.get=function(){return this._instanceClassNames},O.property.get=function(){return this._property},O.attribute.get=function(){return this._attribute},Object.defineProperties(S.prototype,O);var A=function(t){function e(){t.call(this,"register")}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.register=function(t,e,i){var s=new S(t,e,i);return this.add(s),n.isActive&&s.introduce(),s},e.prototype.activate=function(){for(var t=0,e=this.collection;t<e.length;t+=1){e[t].introduce()}},e.prototype.remove=function(e){e.dispose(),t.prototype.remove.call(this,e)},e}(v),C=0,T=function(t,e){e?this.id=e:(C++,this.id=C),this.node=t,this.attributeNames=[],this.instances=[],this._children=[],this._parent=null,this._projects=[]},N={proxy:{configurable:!0},html:{configurable:!0},parent:{configurable:!0},ascendants:{configurable:!0},children:{configurable:!0},descendants:{configurable:!0}};N.proxy.get=function(){var t=this;if(!this._proxy){this._proxy={id:this.id,get parent(){return t.parent?t.parent.proxy:null},get children(){return t.children.map((function(t){return t.proxy}))}};for(var e=0,n=this.instances;e<n.length;e+=1){var i=n[e];this._proxy[i.registration.property]=i.proxy}}return this._proxy},N.html.get=function(){if(!this.node||!this.node.outerHTML)return"";var t=this.node.outerHTML.indexOf(">");return this.node.outerHTML.substring(0,t+1)},T.prototype.project=function(t){-1===this._projects.indexOf(t)&&this._projects.push(t)},T.prototype.populate=function(){var t=this._projects.slice();this._projects.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];this.create(i)}},T.prototype.create=function(t){if(!this.hasInstance(t.instanceClassName)){p.debug("create instance of "+t.instanceClassName+" on element ["+this.id+"]");var e=t.create(this);this.instances.push(e),e._config(this,t),this._proxy&&(this._proxy[t.property]=e.proxy)}},T.prototype.remove=function(t){var e=this.instances.indexOf(t);e>-1&&this.instances.splice(e,1),this._proxy&&delete this._proxy[t.registration.property]},N.parent.get=function(){return this._parent},N.ascendants.get=function(){return[this.parent].concat(this.parent.ascendants)},N.children.get=function(){return this._children},N.descendants.get=function(){var t=[].concat(this._children);return this._children.forEach((function(e){return t.push.apply(t,e.descendants)})),t},T.prototype.addChild=function(t,e){return this._children.indexOf(t)>-1?null:(t._parent=this,!isNaN(e)&&e>-1&&e<this._children.length?this._children.splice(e,0,t):this._children.push(t),t)},T.prototype.removeChild=function(t){var e=this._children.indexOf(t);if(-1===e)return null;t._parent=null,this._children.splice(e,1)},T.prototype.emit=function(t,e){for(var i=[],s=0,o=n.getModule("stage").collection;s<o.length;s+=1){var r=o[s];i.push.apply(i,r._emit(t,e))}return i},T.prototype._emit=function(t,e){for(var n=[],i=0,s=this.instances;i<s.length;i+=1){var o=s[i];n.push.apply(n,o._emitter.emit(t,e))}return n},T.prototype.ascend=function(t,e){return this._parent?this._parent._ascend(t,e):[]},T.prototype._ascend=function(t,e){for(var n=[],i=0,s=this.instances;i<s.length;i+=1){var o=s[i];n.push.apply(n,o._ascent.emit(t,e))}return this._parent&&n.push.apply(n,this._parent._ascend(t,e)),n},T.prototype.descend=function(t,e){for(var n=[],i=0,s=this._children;i<s.length;i+=1){var o=s[i];n.push.apply(n,o._descend(t,e))}return n},T.prototype._descend=function(t,e){for(var n=[],i=0,s=this.instances;i<s.length;i+=1){var o=s[i];n.push.apply(n,o._descent.emit(t,e))}for(var r=0,a=this._children;r<a.length;r+=1){var c=a[r];n.push.apply(n,c._descend(t,e))}return n},T.prototype.getInstance=function(t){for(var e=0,n=this.instances;e<n.length;e+=1){var i=n[e];if(i.registration.hasInstanceClassName(t))return i}return null},T.prototype.hasInstance=function(t){return null!==this.getInstance(t)},T.prototype.getDescendantInstances=function(t,e,n){if(!t)return[];for(var i=[],s=0,o=this._children;s<o.length;s+=1){var r=o[s],a=r.getInstance(t);a&&(i.push(a),n)||(e&&r.hasInstance(e)||!r.children.length||i.push.apply(i,r.getDescendantInstances(t,e,n)))}return i},T.prototype.getAscendantInstance=function(t,e){if(!t||!this._parent)return null;var n=this._parent.getInstance(t);return n||(e&&this._parent.hasInstance(e)?null:this._parent.getAscendantInstance(t,e))},T.prototype.dispose=function(){for(var t=0,e=this.instances;t<e.length;t+=1){e[t]._dispose()}this.instances.length=0,n.remove("stage",this),this.parent.removeChild(this),this._children.length=0,p.debug("remove element ["+this.id+"] "+this.html)},T.prototype.prepare=function(t){-1===this.attributeNames.indexOf(t)&&this.attributeNames.push(t)},T.prototype.examine=function(){var t=this.attributeNames.slice();this.attributeNames.length=0;for(var e=this.instances.length-1;e>-1;e--)this.instances[e].examine(t)},Object.defineProperties(T.prototype,N);var w=function(t){function e(){t.call(this,document.documentElement,"root"),this.node.setAttribute(_.attr("js"),!0)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e}(T),P=function(t){function e(){t.call(this,"stage"),this.root=new w,t.prototype.add.call(this,this.root),this.observer=new MutationObserver(this.mutate.bind(this)),this.modifications=[],this.willModify=!1,this.modifying=this.modify.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.hasElement=function(t){for(var e=0,n=this.collection;e<n.length;e+=1){if(n[e].node===t)return!0}return!1},e.prototype.getElement=function(t){for(var e=0,n=this.collection;e<n.length;e+=1){var i=n[e];if(i.node===t)return i}var s=new T(t);return this.add(s),p.debug("add element ["+s.id+"] "+s.html),s},e.prototype.getProxy=function(t){return this.hasElement(t)?this.getElement(t).proxy:null},e.prototype.add=function(e){t.prototype.add.call(this,e),this.put(e,this.root)},e.prototype.put=function(t,e){for(var n=0,i=e.children.length-1;i>-1;i--){var s=e.children[i],o=t.node.compareDocumentPosition(s.node);if(o&Node.DOCUMENT_POSITION_CONTAINS)return void this.put(t,s);if(o&Node.DOCUMENT_POSITION_CONTAINED_BY)e.removeChild(s),t.addChild(s,0);else if(o&Node.DOCUMENT_POSITION_PRECEDING){n=i+1;break}}e.addChild(t,n)},e.prototype.activate=function(){this.observer.observe(document.documentElement,{childList:!0,subtree:!0,attributes:!0})},e.prototype.deactivate=function(){this.observer.disconnect()},e.prototype.mutate=function(t){var e=this,n=[];t.forEach((function(t){switch(t.type){case"childList":t.removedNodes.forEach((function(t){return e.dispose(t)})),t.addedNodes.forEach((function(t){return e.parse(t)}));break;case"attributes":if(e.hasElement(t.target)){var i=e.getElement(t.target);i.prepare(t.attributeName),-1===n.indexOf(i)&&n.push(i);for(var s=0,o=i.descendants;s<o.length;s+=1){var r=o[s];-1===n.indexOf(r)&&n.push(r)}}-1===e.modifications.indexOf(t.target)&&e.modifications.push(t.target)}})),n.forEach((function(t){return t.examine()})),this.modifications.length&&!this.willModify&&(this.willModify=!0,window.requestAnimationFrame(this.modifying))},e.prototype.modify=function(){this.willModify=!1;var t=this.modifications.slice();this.modifications.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];document.documentElement.contains(i)&&this.parse(i)}},e.prototype.dispose=function(t){var e=[];this.forEach((function(n){t.contains(n.node)&&e.push(n)}));for(var n=0,i=e;n<i.length;n+=1){var s=i[n];s.dispose(),this.remove(s)}},e.prototype.parse=function(t,e,i){for(var s=[],o=0,r=e?[e]:n.getModule("register").collection;o<r.length;o+=1)for(var a=r[o],c=0,l=a.parse(t,i);c<l.length;c+=1){var u=l[c],p=this.getElement(u);p.project(a),-1===s.indexOf(p)&&s.push(p)}for(var h=0,d=s;h<d.length;h+=1){d[h].populate()}},e}(v),I=function(t){function e(){t.call(this,"render"),this.rendering=this.render.bind(this),this.nexts=new m}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.requestAnimationFrame(this.rendering)},e.prototype.request=function(t){this.nexts.add(t)},e.prototype.render=function(){if(n.isActive&&(window.requestAnimationFrame(this.rendering),this.forEach((function(t){return t.render()})),this.nexts.length)){var t=this.nexts.clone();this.nexts.clear(),t.forEach((function(t){return t.next()}))}},e}(v),M=function(t){function e(){t.call(this,"resize"),this.requireResize=!1,this.resizing=this.resize.bind(this);var e=this.request.bind(this);document.fonts&&document.fonts.ready.then(e),window.addEventListener("resize",e),window.addEventListener("orientationchange",e)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){this.request()},e.prototype.request=function(){this.requireResize||(this.requireResize=!0,window.requestAnimationFrame(this.resizing))},e.prototype.resize=function(){this.requireResize&&(this.forEach((function(t){return t.resize()})),this.requireResize=!1)},e}(v),D=function(t){function e(){t.call(this,"lock"),this._isLocked=!1,this._scrollY=0,this.onPopulate=this.lock.bind(this),this.onEmpty=this.unlock.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isLocked:{configurable:!0}};return n.isLocked.get=function(){return this._isLocked},e.prototype.lock=function(){this._isLocked||(this._isLocked=!0,this._scrollY=window.scrollY,this.isLegacy?document.body.style.top=-1*this._scrollY+"px":document.body.style.setProperty("--scroll-top",-1*this._scrollY+"px"),document.documentElement.setAttribute(_.attr("scrolling"),"false"))},e.prototype.unlock=function(){this._isLocked&&(this._isLocked=!1,document.documentElement.removeAttribute(_.attr("scrolling")),this.isLegacy?document.body.style.top="":document.body.style.removeProperty("--scroll-top"),window.scroll(0,this._scrollY))},Object.defineProperties(e.prototype,n),e}(v),j=function(t){function e(){t.call(this,"load"),this.loading=this.load.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){window.addEventListener("load",this.loading)},e.prototype.load=function(){this.forEach((function(t){return t.load()}))},e}(v),x=["Marianne","Spectral"],k=function(t){function e(){t.call(this,"font-swap"),this.swapping=this.swap.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.activate=function(){document.fonts&&document.fonts.addEventListener("loadingdone",this.swapping)},e.prototype.swap=function(){var t=x.filter((function(t){return document.fonts.check("16px "+t)}));this.forEach((function(e){return e.swapFont(t)}))},e}(v),R=function(t){function e(){t.call(this,"mouse-move"),this.requireMove=!1,this._isMoving=!1,this.moving=this.move.bind(this),this.requesting=this.request.bind(this),this.onPopulate=this.listen.bind(this),this.onEmpty=this.unlisten.bind(this)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.listen=function(){this._isMoving||(this._isMoving=!0,this.requireMove=!1,document.documentElement.addEventListener("mousemove",this.requesting))},e.prototype.unlisten=function(){this._isMoving&&(this._isMoving=!1,this.requireMove=!1,document.documentElement.removeEventListener("mousemove",this.requesting))},e.prototype.request=function(t){this._isMoving&&(this.point={x:t.clientX,y:t.clientY},this.requireMove||(this.requireMove=!0,window.requestAnimationFrame(this.moving)))},e.prototype.move=function(){var t=this;this.requireMove&&(this.forEach((function(e){return e.mouseMove(t.point)})),this.requireMove=!1)},e}(v),H=function(){n.create(A),n.create(P),n.create(I),n.create(M),n.create(D),n.create(j),n.create(k),n.create(R);var t=n.getModule("register");this.register=t.register.bind(t)},G={isActive:{configurable:!0}};G.isActive.get=function(){return n.isActive},H.prototype.start=function(){p.debug("START"),n.isActive=!0},H.prototype.stop=function(){p.debug("STOP"),n.isActive=!1},Object.defineProperties(H.prototype,G);var q=new H,B=function(t){return"."===t.charAt(0)?t.substr(1):t},F=function(t){return t.className?t.className.split(" "):[]},z=function(t,e,n){e=B(e);var i=F(t),s=i.indexOf(e);!0===n?s>-1&&i.splice(s,1):-1===s&&i.push(e),t.className=i.join(" ")},U=function(t,e){return z(t,e)},W=function(t,e){return z(t,e,!0)},K=function(t,e){return F(t).indexOf(B(e))>-1},Y={};Y.addClass=U,Y.hasClass=K,Y.removeClass=W,Y.queryParentSelector=L,Y.querySelectorAllArray=E;var V={supportLocalStorage:function(){try{return"localStorage"in window&&null!==window.localStorage}catch(t){return!1}},supportAspectRatio:function(){return!!window.CSS&&CSS.supports("aspect-ratio: 16 / 9")}},Q={NONE:_.selector("transition-none")},$={};$.TransitionSelector=Q;var X=function(t){for(var e=[],n=arguments.length-1;n-- >0;)e[n]=arguments[n+1];return e.forEach((function(e){var n=Object.keys(e).reduce((function(t,n){return t[n]=Object.getOwnPropertyDescriptor(e,n),t}),{});Object.getOwnPropertySymbols(e).forEach((function(t){var i=Object.getOwnPropertyDescriptor(e,t);i.enumerable&&(n[t]=i)})),Object.defineProperties(t,n)})),t},Z={};Z.completeAssign=X;var J={},tt={};Object.defineProperty(tt,"isLegacy",{get:function(){return n.isLegacy}}),tt.setLegacy=function(){n.isLegacy=!0},J.legacy=tt,J.dom=Y,J.support=V,J.motion=$,J.property=Z,J.ns=_,J.register=q.register,J.state=n,Object.defineProperty(J,"preventManipulation",{get:function(){return y.preventManipulation}}),Object.defineProperty(J,"stage",{get:function(){return n.getModule("stage")}}),p.info("version "+o);var et=function(t){return n.getModule("stage").getProxy(t)};et.Modes=d,Object.defineProperty(et,"mode",{set:function(t){y.mode=t},get:function(){return y.mode}}),et.internals=J,et.start=q.start,et.stop=q.stop,et.inspector=p,y.configure(window[s],et.start),window[s]=et;var nt=function(){this.emissions={}};nt.prototype.add=function(t,e){if("function"!=typeof e)throw new Error("closure must be a function");this.emissions[t]||(this.emissions[t]=[]),this.emissions[t].push(e)},nt.prototype.remove=function(t,e){if(this.emissions[t])if(e){var n=this.emissions[t].indexOf(e);n>-1&&this.emissions[t].splice(n)}else delete this.emissions[t]},nt.prototype.emit=function(t,e){if(!this.emissions[t])return[];for(var n=[],i=0,s=this.emissions[t];i<s.length;i+=1){var o=s[i];o&&n.push(o(e))}return n},nt.prototype.dispose=function(){this.emissions=null};var it=function(t,e){this.id=t,this.minWidth=e};it.prototype.test=function(){return window.matchMedia("(min-width: "+this.minWidth+"em)").matches};var st={XS:new it("xs",0),SM:new it("sm",36),MD:new it("md",48),LG:new it("lg",62),XL:new it("xl",78)},ot=function(t){void 0===t&&(t=!0),this.jsAttribute=t,this._isRendering=!1,this._isResizing=!1,this._isScrollLocked=!1,this._isLoading=!1,this._isSwappingFont=!1,this._listeners={},this._keyListenerTypes=[],this._keys=[],this.handlingKey=this.handleKey.bind(this),this._emitter=new nt,this._ascent=new nt,this._descent=new nt,this._registrations=[],this._nexts=[]},rt={proxy:{configurable:!0},isRendering:{configurable:!0},isResizing:{configurable:!0},isScrollLocked:{configurable:!0},isLoading:{configurable:!0},isSwappingFont:{configurable:!0},isMouseMoving:{configurable:!0},style:{configurable:!0},classNames:{configurable:!0},hasFocus:{configurable:!0},isLegacy:{configurable:!0}},at={instanceClassName:{configurable:!0}};at.instanceClassName.get=function(){return"Instance"},ot.prototype._config=function(t,e){this.element=t,this.registration=e,this.node=t.node,this.id=t.node.id,this.jsAttribute&&this.setAttribute(e.attribute,!0),this.init()},ot.prototype.init=function(){},rt.proxy.get=function(){var t=this;return{render:function(){return t.render()},resize:function(){return t.resize()}}},ot.prototype.register=function(t,e){var i=n.getModule("register").register(t,e,this);this._registrations.push(i)},ot.prototype.getRegisteredInstances=function(t){for(var e=0,n=this._registrations;e<n.length;e+=1){var i=n[e];if(i.hasInstanceClassName(t))return i.instances.collection}return[]},ot.prototype.dispatch=function(t,e,n,i){var s=new CustomEvent(t,{detail:e,bubble:!0===n,cancelable:!0===i});this.node.dispatchEvent(s)},ot.prototype.listen=function(t,e,n){this._listeners[t]||(this._listeners[t]=[]),this._listeners[t].indexOf(e)>-1||(this._listeners[t].push(e),this.node.addEventListener(t,e,n))},ot.prototype.unlisten=function(t,e){if(t)if(e){if(!this._listeners[t])return;var n=this._listeners[t].indexOf(e);n>-1&&this._listeners[t].splice(n,1),this.node.removeEventListener(t,e)}else{if(!this._listeners[t])return;for(var i=0,s=this._listeners[t];i<s.length;i+=1){var o=s[i];this.node.removeEventListener(t,o)}this._listeners[t].length=0}else for(var r in this._listeners)this.unlisten(r)},ot.prototype.listenKey=function(t,e,n,i,s){void 0===n&&(n=!1),void 0===i&&(i=!1),void 0===s&&(s="down"),-1===this._keyListenerTypes.indexOf(s)&&(this.listen("key"+s,this.handlingKey),this._keyListenerTypes.push(s)),this._keys.push(new ct(s,t,e,n,i))},ot.prototype.unlistenKey=function(t,e){var n=this;this._keys=this._keys.filter((function(n){return n.code!==t||n.closure!==e})),this._keyListenerTypes.forEach((function(t){n._keys.some((function(e){return e.type===t}))||n.unlisten("key"+t,n.handlingKey)}))},ot.prototype.handleKey=function(t){for(var e=0,n=this._keys;e<n.length;e+=1){n[e].handle(t)}},rt.isRendering.get=function(){return this._isRendering},rt.isRendering.set=function(t){this._isRendering!==t&&(t?n.add("render",this):n.remove("render",this),this._isRendering=t)},ot.prototype.render=function(){},ot.prototype.request=function(t){this._nexts.push(t),n.getModule("render").request(this)},ot.prototype.next=function(){var t=this._nexts.slice();this._nexts.length=0;for(var e=0,n=t;e<n.length;e+=1){var i=n[e];i&&i()}},rt.isResizing.get=function(){return this._isResizing},rt.isResizing.set=function(t){this._isResizing!==t&&(t?(n.add("resize",this),this.resize()):n.remove("resize",this),this._isResizing=t)},ot.prototype.resize=function(){},ot.prototype.isBreakpoint=function(t){return!0==("string"==typeof t)?st[t.toUpperCase()].test():t.test()},rt.isScrollLocked.get=function(){return this._isScrollLocked},rt.isScrollLocked.set=function(t){this._isScrollLocked!==t&&(t?n.add("lock",this):n.remove("lock",this),this._isScrollLocked=t)},rt.isLoading.get=function(){return this._isLoading},rt.isLoading.set=function(t){this._isLoading!==t&&(t?n.add("load",this):n.remove("load",this),this._isLoading=t)},ot.prototype.load=function(){},rt.isSwappingFont.get=function(){return this._isSwappingFont},rt.isSwappingFont.set=function(t){this._isSwappingFont!==t&&(t?n.add("font-swap",this):n.remove("font-swap",this),this._isSwappingFont=t)},ot.prototype.swapFont=function(){},rt.isMouseMoving.get=function(){return this._isMouseMoving},rt.isMouseMoving.set=function(t){this._isMouseMoving!==t&&(t?n.add("mouse-move",this):n.remove("mouse-move",this),this._isMouseMoving=t)},ot.prototype.mouseMove=function(t){},ot.prototype.examine=function(t){this.node.matches(this.registration.selector)?this.mutate(t):this._dispose()},ot.prototype.mutate=function(t){},ot.prototype._dispose=function(){p.debug("dispose instance of "+this.registration.instanceClassName+" on element ["+this.element.id+"]"),this.removeAttribute(this.registration.attribute),this.unlisten(),this._keys=null,this.isRendering=!1,this.isResizing=!1,this._nexts=null,n.getModule("render").nexts.remove(this),this.isScrollLocked=!1,this.isLoading=!1,this.isSwappingFont=!1,this._emitter.dispose(),this._emitter=null,this._ascent.dispose(),this._ascent=null,this._descent.dispose(),this._descent=null,this.element.remove(this);for(var t=0,e=this._registrations;t<e.length;t+=1){var i=e[t];n.remove("register",i)}this._registrations=null,this.registration.remove(this),this.dispose()},ot.prototype.dispose=function(){},ot.prototype.emit=function(t,e){return this.element.emit(t,e)},ot.prototype.addEmission=function(t,e){this._emitter.add(t,e)},ot.prototype.removeEmission=function(t,e){this._emitter.remove(t,e)},ot.prototype.ascend=function(t,e){return this.element.ascend(t,e)},ot.prototype.addAscent=function(t,e){this._ascent.add(t,e)},ot.prototype.removeAscent=function(t,e){this._ascent.remove(t,e)},ot.prototype.descend=function(t,e){return this.element.descend(t,e)},ot.prototype.addDescent=function(t,e){this._descent.add(t,e)},ot.prototype.removeDescent=function(t,e){this._descent.remove(t,e)},rt.style.get=function(){return this.node.style},ot.prototype.addClass=function(t){U(this.node,t)},ot.prototype.removeClass=function(t){W(this.node,t)},ot.prototype.hasClass=function(t){return K(this.node,t)},rt.classNames.get=function(){return F(this.node)},ot.prototype.setAttribute=function(t,e){this.node.setAttribute(t,e)},ot.prototype.getAttribute=function(t){return this.node.getAttribute(t)},ot.prototype.hasAttribute=function(t){return this.node.hasAttribute(t)},ot.prototype.removeAttribute=function(t){this.node.removeAttribute(t)},ot.prototype.setProperty=function(t,e){this.node.style.setProperty(t,e)},ot.prototype.removeProperty=function(t){this.node.style.removeProperty(t)},ot.prototype.focus=function(){this.node.focus()},rt.hasFocus.get=function(){return this.node===document.activeElement},ot.prototype.matches=function(t){return this.node.matches(t)},ot.prototype.querySelector=function(t){return this.node.querySelector(t)},ot.prototype.querySelectorAll=function(t){return E(this.node,t)},ot.prototype.queryParentSelector=function(t){return L(this.node,t)},ot.prototype.getRect=function(){return this.node.getBoundingClientRect()},rt.isLegacy.get=function(){return n.isLegacy},Object.defineProperties(ot.prototype,rt),Object.defineProperties(ot,at);var ct=function(t,e,n,i,s){this.type=t,this.eventType="key"+t,this.code=e,this.closure=n,this.preventDefault=!0===i,this.stopPropagation=!0===s};ct.prototype.handle=function(t){t.type===this.eventType&&t.keyCode===this.code&&(this.closure(t),this.preventDefault&&t.preventDefault(),this.stopPropagation&&t.stopPropagation())};var lt={DISCLOSE:_.event("disclose"),CONCEAL:_.event("conceal")},ut={RESET:_.emission("disclosure","reset"),ADDED:_.emission("disclosure","added"),REMOVED:_.emission("disclosure","removed"),GROUP:_.emission("disclosure","group"),UNGROUP:_.emission("disclosure","ungroup")},pt=function(t){function e(e,n,i,s){t.call(this),this.type=e,this._selector=n,this.DisclosureButtonInstanceClass=i,this.disclosuresGroupInstanceClassName=s,this.modifier=this._selector+"--"+this.type.id,this.pristine=!0}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},buttons:{configurable:!0},group:{configurable:!0},disclosed:{configurable:!0},buttonHasFocus:{configurable:!0},hasFocus:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Disclosure"},e.prototype.init=function(){this.addDescent(ut.RESET,this.reset.bind(this)),this.addDescent(ut.GROUP,this.update.bind(this)),this.addDescent(ut.UNGROUP,this.update.bind(this)),this.register('[aria-controls="'+this.id+'"]',this.DisclosureButtonInstanceClass),this.ascend(ut.ADDED),this.update()},n.proxy.get=function(){var e=this,n=Object.assign.call(this,t.prototype.proxy,{disclose:e.disclose.bind(e),focus:e.focus.bind(e)});return this.type.canConceal&&(n.conceal=e.conceal.bind(e)),X(n,{get buttons(){return e.buttons.map((function(t){return t.proxy}))},get group(){var t=e.group;return t?t.proxy:null}})},n.buttons.get=function(){return this.getRegisteredInstances(this.DisclosureButtonInstanceClass.instanceClassName)},e.prototype.update=function(){this.getGroup()},e.prototype.getGroup=function(){if(this.disclosuresGroupInstanceClassName){var t=this.element.getAscendantInstance(this.disclosuresGroupInstanceClassName,this.constructor.instanceClassName);t&&t.validate(this)?this._group=t:this._group=null}else this._group=null},n.group.get=function(){return this._group},e.prototype.disclose=function(t){return!this.disclosed&&(this.pristine=!1,this.disclosed=!0,!t&&this.group&&(this.group.current=this),!0)},e.prototype.conceal=function(t,e){return!!this.disclosed&&(!(!this.type.canConceal&&this.group&&this.group.current===this)&&(this.pristine=!1,this.disclosed=!1,!t&&this.group&&this.group.current===this&&(this.group.current=null),e||this.focus(),this.descend(ut.RESET),!0))},n.disclosed.get=function(){return this._disclosed},n.disclosed.set=function(t){if(this._disclosed!==t){this.dispatch(t?lt.DISCLOSE:lt.CONCEAL,this.type),this._disclosed=t,t?this.addClass(this.modifier):this.removeClass(this.modifier);for(var e=0;e<this.buttons.length;e++)this.buttons[e].apply(t)}},e.prototype.reset=function(){},e.prototype.toggle=function(t){if(this.type.canConceal)switch(!0){case!t:case this.disclosed:this.conceal();break;default:this.disclose()}else this.disclose()},n.buttonHasFocus.get=function(){return!!this.buttons.some((function(t){return t.hasFocus}))},n.hasFocus.get=function(){return!!t.prototype.hasFocus||(!!this.buttonHasFocus||this.querySelectorAll(":focus").length>0)},e.prototype.focus=function(){for(var t=0;t<this.buttons.length;t++){var e=this.buttons[t];if(e.isPrimary)return void e.focus()}},e.prototype.dispose=function(){this._group=null,t.prototype.dispose.call(this),this.ascend(ut.REMOVED)},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),ht=function(t){function e(e){t.call(this),this.type=e,this.attributeName=e.ariaState?"aria-"+e.id:_.attr(e.id)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},disclosed:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"DisclosureButton"},e.prototype.init=function(){this.controlsId=this.getAttribute("aria-controls"),this.isPrimary=this.hasAttribute(this.attributeName),this.isPrimary&&this.disclosed&&this.registration.creator.pristine&&this.registration.creator.disclose(),this.listen("click",this.click.bind(this))},n.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{focus:this.focus.bind(this)})},e.prototype.click=function(t){this.registration.creator&&this.registration.creator.toggle(this.isPrimary)},e.prototype.mutate=function(t){this.isPrimary&&t.indexOf(this.attributeName)>-1&&this.registration.creator&&(this.disclosed?this.registration.creator.disclose():this.type.canConceal&&this.registration.creator.conceal())},e.prototype.apply=function(t){this.isPrimary&&this.setAttribute(this.attributeName,t)},n.disclosed.get=function(){return"true"===this.getAttribute(this.attributeName)},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),dt=function(t){function e(e,n){t.call(this,n),this.disclosureInstanceClassName=e,this._index=-1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},members:{configurable:!0},length:{configurable:!0},index:{configurable:!0},current:{configurable:!0},hasFocus:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"DisclosuresGroup"},e.prototype.init=function(){this.addAscent(ut.ADDED,this.update.bind(this)),this.addAscent(ut.REMOVED,this.update.bind(this)),this.descend(ut.GROUP),this.update()},n.proxy.get=function(){var e=this,n={set index(t){e.index=t},get index(){return e.index},get length(){return e.length},get current(){var t=e.current;return t?t.proxy:null},get members(){return e.members.map((function(t){return t.proxy}))},get hasFocus(){return e.hasFocus}};return X.call(this,t.prototype.proxy,n)},e.prototype.validate=function(t){return!0},e.prototype.getMembers=function(){var t=this.element.getDescendantInstances(this.disclosureInstanceClassName,this.constructor.instanceClassName,!0);this._members=t.filter(this.validate.bind(this))},e.prototype.update=function(){this.getMembers(),this.getIndex()},n.members.get=function(){return this._members},n.length.get=function(){return this.members?this.members.length:0},e.prototype.getIndex=function(){this._index=-1;for(var t=0;t<this.length;t++)this.index>-1?this.members[t].conceal(!0,!0):this.members[t].disclosed&&(this.index=t)},n.index.get=function(){return this._index},n.index.set=function(t){if(!(t<-1||t>=this.length||t===this._index)){this._index=t;for(var e=0;e<this.length;e++){var n=this.members[e];t===e?n.disclose(!0):n.conceal(!0,!0)}this.apply()}},n.current.get=function(){return-1===this._index?null:this.members[this._index]},n.current.set=function(t){this.index=this.members.indexOf(t)},n.hasFocus.get=function(){var t=this.current;return!!t&&t.hasFocus},e.prototype.apply=function(){},e.prototype.dispose=function(){t.prototype.dispose.call(this),this.descend(ut.UNGROUP),this._members=null},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),ft={EXPAND:{id:"expanded",ariaState:!0,ariaControls:!0,canConceal:!0},SELECT:{id:"selected",ariaState:!0,ariaControls:!0,canConceal:!1},OPENED:{id:"opened",ariaState:!1,ariaControls:!0,canConceal:!0}},gt=function(t){function e(){t.call(this,ft.EXPAND)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CollapseButton"},Object.defineProperties(e,n),e}(ht),yt={COLLAPSE:_.selector("collapse"),COLLAPSING:_.selector("collapsing")},mt=function(t){function e(){t.call(this,ft.EXPAND,yt.COLLAPSE,gt,"CollapsesGroup")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Collapse"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this))},e.prototype.transitionend=function(t){this.removeClass(yt.COLLAPSING),this.disclosed||(this.isLegacy?this.style.maxHeight="":this.style.removeProperty("--collapse-max-height"))},e.prototype.unbound=function(){this.isLegacy?this.style.maxHeight="none":this.style.setProperty("--collapse-max-height","none")},e.prototype.disclose=function(e){var n=this;this.disclosed||(this.unbound(),this.request((function(){n.addClass(yt.COLLAPSING),n.adjust(),n.request((function(){t.prototype.disclose.call(n,e)}))})))},e.prototype.conceal=function(e,n){var i=this;this.disclosed&&this.request((function(){i.addClass(yt.COLLAPSING),i.adjust(),i.request((function(){t.prototype.conceal.call(i,e,n)}))}))},e.prototype.adjust=function(){this.setProperty("--collapser","none");var t=this.node.offsetHeight;this.setProperty("--collapse",-t+"px"),this.setProperty("--collapser","")},e.prototype.reset=function(){this.pristine||(this.disclosed=!1)},Object.defineProperties(e,n),e}(pt),bt=function(t){function e(){t.call(this,"Collapse")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"CollapsesGroup"},Object.defineProperties(e,n),e}(dt),vt={CHANGE:_("equisized")},_t=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Equisized"},e.prototype.init=function(){this.ascend(vt.CHANGE)},e.prototype.measure=function(){return this.isLegacy&&(this.style.width="auto"),this.getRect().width},e.prototype.adjust=function(t){this.isLegacy&&(this.style.width=t+"px")},e.prototype.dispose=function(){this.ascend(vt.CHANGE)},Object.defineProperties(e,n),e}(ot),Et=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"EquisizedsGroup"},e.prototype.init=function(){this.isResizing=!0,this.isLoading=!0,this.addAscent(vt.CHANGE,this.resize.bind(this))},e.prototype.load=function(){this.resize()},e.prototype.resize=function(){var t=this.element.getDescendantInstances("Equisized");this.isLegacy||this.style.setProperty("--equisized-width","auto");var e=Math.max.apply(Math,t.map((function(t){return t.measure()})));this.isLegacy?t.forEach((function(t){return t.adjust(e)})):this.style.setProperty("--equisized-width",e+"px")},Object.defineProperties(e,n),e}(ot),Lt={TOGGLE:_.event("toggle")},St=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={pressed:{configurable:!0},proxy:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Toggle"},e.prototype.init=function(){this.pressed="true"===this.pressed,this.listen("click",this.toggle.bind(this))},e.prototype.toggle=function(){this.pressed="true"!==this.pressed},n.pressed.get=function(){return this.getAttribute("aria-pressed")},n.pressed.set=function(t){this.setAttribute("aria-pressed",t?"true":"false"),this.dispatch(Lt.TOGGLE,t)},n.proxy.get=function(){var e=this,n=Object.assign.call(this,t.prototype.proxy,{toggle:e.toggle.bind(e)});return X(n,{get pressed(){return e.pressed},set pressed(t){e.pressed=t}})},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),Ot=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"InjectSvg"},e.prototype.init=function(){this.node&&(this.img=this.node.querySelector("img")),this.isLegacy||this.replace()},n.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{replace:e.replace.bind(e),restore:e.restore.bind(e)})},e.prototype.fetch=function(){var t=this;this.img&&(this.imgID=this.img.getAttribute("id"),this.imgClass=this.img.getAttribute("class"),this.imgURL=this.img.getAttribute("src"),fetch(this.imgURL).then((function(t){return t.text()})).then((function(e){var n=(new DOMParser).parseFromString(e,"text/html");t.svg=n.querySelector("svg"),t.svg&&t.replace()})))},e.prototype.replace=function(){if(this.svg){this.imgID&&void 0!==this.imgID&&this.svg.setAttribute("id",this.imgID);var t=this.imgURL.match(/[ \w-]+\./)[0];t&&(t=t.slice(0,-1),["dark","light","system"].includes(t)&&(this.svg.innerHTML=this.svg.innerHTML.replaceAll('id="artwork-','id="'+t+"-artwork-"),this.svg.innerHTML=this.svg.innerHTML.replaceAll('"#artwork-','"#'+t+"-artwork-"))),this.imgClass&&void 0!==this.imgClass&&this.svg.setAttribute("class",this.imgClass),this.svg.hasAttribute("xmlns:a")&&this.svg.removeAttribute("xmlns:a"),this.node.setAttribute("data-fr-inject-svg",!0);var e,n;e=this.svg,n={"aria-hidden":!0,focusable:!1},Object.keys(n).forEach((function(t){return e.setAttribute(t,n[t])})),this.node.replaceChild(this.svg,this.img)}else this.fetch()},e.prototype.restore=function(){this.img&&this.svg&&(this.node.setAttribute("data-fr-inject-svg",!1),this.node.replaceChild(this.img,this.svg))},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),At={INJECT_SVG:"["+_.attr("inject-svg")+"]"},Ct=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Artwork"},e.prototype.init=function(){this.isLegacy&&this.replace()},n.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{replace:this.replace.bind(this)})},e.prototype.fetch=function(){var t=this;this.xlink=this.node.getAttribute("xlink:href");var e=this.xlink.split("#");this.svgUrl=e[0],this.svgName=e[1];var n=new XMLHttpRequest;n.onload=function(){var e=(new DOMParser).parseFromString(n.responseText,"text/html");t.realSvgContent=e.getElementById(t.svgName),t.realSvgContent&&(t.realSvgContent.classList.add(t.node.classList),t.replace())},n.open("GET",this.svgUrl),n.send()},e.prototype.replace=function(){this.realSvgContent?this.node.parentNode.replaceChild(this.realSvgContent,this.node):this.fetch()},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(ot),Tt={ARTWORK_USE:_.selector("artwork")+" use"},Nt=["32x9","16x9","3x2","4x3","1x1","3x4","2x3"],wt=function(t,e){return e.map((function(e){return _.selector(t+"--"+e)})).join(",")},Pt=_.selector("responsive-img")+", "+wt("responsive-img",Nt)+", "+_.selector("responsive-vid")+", "+wt("responsive-vid",["16x9","4x3","1x1"]),It={RATIO:_.selector("ratio")+", "+wt("ratio",Nt)+", "+Pt},Mt=window[s],Dt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Ratio"},e.prototype.init=function(){if(!Mt.internals.support.supportAspectRatio()){for(var t in this.ratio=16/9,this.classNames)if(this.registration.selector.indexOf(this.classNames[t])>0){var e=this.classNames[t].split("ratio-");e[1]&&(this.ratio=e[1].split("x")[0]/e[1].split("x")[1])}this.isRendering=!0,this.update()}},e.prototype.render=function(){this.getRect().width!==this.currentWidth&&this.update()},e.prototype.update=function(){this.currentWidth=this.getRect().width,this.style.height=this.currentWidth/this.ratio+"px"},Object.defineProperties(e,n),e}(ot);et.core={Instance:ot,Breakpoints:st,KeyCodes:{TAB:9,ESCAPE:27,END:35,HOME:36,LEFT:37,UP:38,RIGHT:39,DOWN:40},Disclosure:pt,DisclosureButton:ht,DisclosuresGroup:dt,DisclosureType:ft,DisclosureEvent:lt,DisclosureEmission:ut,Collapse:mt,CollapseButton:gt,CollapsesGroup:bt,CollapseSelector:yt,RootSelector:{ROOT:":root"},Equisized:_t,EquisizedEmission:vt,Toggle:St,EquisizedsGroup:Et,InjectSvg:Ot,InjectSvgSelector:At,Artwork:Ct,ArtworkSelector:Tt,Ratio:Dt,RatioSelector:It},et.internals.register(et.core.CollapseSelector.COLLAPSE,et.core.Collapse),et.internals.register(et.core.InjectSvgSelector.INJECT_SVG,et.core.InjectSvg),et.internals.register(et.core.RatioSelector.RATIO,et.core.Ratio);var jt={SYSTEM:"system",LIGHT:"light",DARK:"dark"},xt={THEME:Mt.internals.ns.attr("theme"),SCHEME:Mt.internals.ns.attr("scheme"),TRANSITION:Mt.internals.ns.attr("transition")},kt={LIGHT:"light",DARK:"dark"},Rt={SCHEME:Mt.internals.ns.emission("scheme","scheme"),THEME:Mt.internals.ns.emission("scheme","theme"),ASK:Mt.internals.ns.emission("scheme","ask")},Ht=function(t){function e(){t.call(this,!1)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},scheme:{configurable:!0},theme:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Scheme"},e.prototype.init=function(){this.changing=this.change.bind(this),this.hasAttribute(xt.TRANSITION)&&(this.removeAttribute(xt.TRANSITION),this.request(this.restoreTransition.bind(this)));var t=Mt.internals.support.supportLocalStorage()?localStorage.getItem("scheme"):"",e=this.getAttribute(xt.SCHEME);switch(t){case jt.DARK:case jt.LIGHT:case jt.SYSTEM:this.scheme=t;break;default:switch(e){case jt.DARK:this.scheme=jt.DARK;break;case jt.LIGHT:this.scheme=jt.LIGHT;break;default:this.scheme=jt.SYSTEM}}this.addAscent(Rt.ASK,this.ask.bind(this)),this.addAscent(Rt.SCHEME,this.apply.bind(this))},n.proxy.get=function(){var e=this,n={get scheme(){return e.scheme},set scheme(t){e.scheme=t}};return Mt.internals.property.completeAssign.call(this,t.prototype.proxy,n)},e.prototype.restoreTransition=function(){this.setAttribute(xt.TRANSITION,"")},e.prototype.ask=function(){this.descend(Rt.SCHEME,this.scheme)},e.prototype.apply=function(t){this.scheme=t},n.scheme.get=function(){return this._scheme},n.scheme.set=function(t){if(this._scheme!==t){switch(this._scheme=t,t){case jt.SYSTEM:this.listenPreferences();break;case jt.DARK:this.unlistenPreferences(),this.theme=kt.DARK;break;case jt.LIGHT:this.unlistenPreferences(),this.theme=kt.LIGHT;break;default:return void(this.scheme=jt.SYSTEM)}this.descend(Rt.SCHEME,t),Mt.internals.support.supportLocalStorage()&&localStorage.setItem("scheme",t),this.setAttribute(xt.SCHEME,t)}},n.theme.get=function(){return this._theme},n.theme.set=function(t){if(this._theme!==t)switch(t){case kt.LIGHT:case kt.DARK:this._theme=t,this.setAttribute(xt.THEME,t),this.descend(Rt.THEME,t)}},e.prototype.listenPreferences=function(){this.isListening||(this.isListening=!0,this.mediaQuery=window.matchMedia("(prefers-color-scheme: dark)"),this.mediaQuery.addEventListener("change",this.changing),this.change())},e.prototype.unlistenPreferences=function(){this.isListening&&(this.isListening=!1,this.mediaQuery.removeEventListener("change",this.changing),this.mediaQuery=null)},e.prototype.change=function(){this.isListening&&(this.theme=this.mediaQuery.matches?kt.DARK:kt.LIGHT)},e.prototype.mutate=function(t){t.indexOf(xt.SCHEME)>-1&&(this.scheme=this.getAttribute(xt.SCHEME)),t.indexOf(xt.THEME)>-1&&(this.theme=this.getAttribute(xt.THEME))},e.prototype.dispose=function(){this.unlistenPreferences()},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),Gt={SCHEME:":root"+Mt.internals.ns.attr.selector("theme")+", :root"+Mt.internals.ns.attr.selector("scheme"),SWITCH_THEME:Mt.internals.ns.selector("switch-theme"),RADIO_BUTTONS:'input[name="'+Mt.internals.ns("radios-theme")+'"]'};Mt.scheme={Scheme:Ht,SchemeValue:jt,SchemeSelector:Gt,SchemeEmission:Rt,SchemeTheme:kt},Mt.internals.register(Mt.scheme.SchemeSelector.SCHEME,Mt.scheme.Scheme);var qt={GROUP:Mt.internals.ns.selector("accordions-group"),COLLAPSE:Mt.internals.ns.selector("accordion")+" > "+Mt.internals.ns.selector("collapse")},Bt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"AccordionsGroup"},e.prototype.validate=function(t){return t.node.matches(qt.COLLAPSE)},Object.defineProperties(e,n),e}(Mt.core.CollapsesGroup);Mt.accordion={AccordionSelector:qt,AccordionsGroup:Bt},Mt.internals.register(Mt.accordion.AccordionSelector.GROUP,Mt.accordion.AccordionsGroup);var Ft={EQUISIZED_BUTTON:Mt.internals.ns.selector("btns-group--equisized")+" "+Mt.internals.ns.selector("btn"),EQUISIZED_GROUP:Mt.internals.ns.selector("btns-group--equisized")};Mt.button={ButtonSelector:Ft},Mt.internals.register(Mt.button.ButtonSelector.EQUISIZED_BUTTON,Mt.core.Equisized),Mt.internals.register(Mt.button.ButtonSelector.EQUISIZED_GROUP,Mt.core.EquisizedsGroup);var zt=function(t){function e(){t.call(this),this.count=0,this.focusing=this.focus.bind(this)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},links:{configurable:!0},collapse:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Breadcrumb"},e.prototype.init=function(){this.getCollapse(),this.isResizing=!0},n.proxy.get=function(){var e=this;return Object.assign.call(this,t.prototype.proxy,{focus:e.focus.bind(e),disclose:e.collapse.disclose.bind(e.collapse)})},e.prototype.getCollapse=function(){var t=this.collapse;t?t.listen(Mt.core.DisclosureEvent.DISCLOSE,this.focusing):this.addAscent(Mt.core.DisclosureEmission.ADDED,this.getCollapse.bind(this))},e.prototype.resize=function(){var t=this.collapse,e=this.links;t&&e.length&&(this.isBreakpoint(Mt.core.Breakpoints.MD)?t.buttonHasFocus&&e[0].focus():e.indexOf(document.activeElement)>-1&&t.focus())},n.links.get=function(){return[].concat(this.querySelectorAll("a[href]"))},n.collapse.get=function(){return this.element.getDescendantInstances(Mt.core.Collapse.instanceClassName,null,!0)[0]},e.prototype.focus=function(){this.count=0,this._focus()},e.prototype._focus=function(){var t=this.links[0];t&&(t.focus(),this.request(this.verify.bind(this)))},e.prototype.verify=function(){if(this.count++,!(this.count>100)){var t=this.links[0];t&&document.activeElement!==t&&this._focus()}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),Ut={BREADCRUMB:Mt.internals.ns.selector("breadcrumb")};Mt.breadcrumb={BreadcrumbSelector:Ut,Breadcrumb:zt},Mt.internals.register(Mt.breadcrumb.BreadcrumbSelector.BREADCRUMB,Mt.breadcrumb.Breadcrumb);var Wt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isChecked:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"ToggleInput"},n.isChecked.get=function(){return this.hasAttribute("checked")},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),Kt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={proxy:{configurable:!0},input:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"ToggleStatusLabel"},e.prototype.init=function(){this.register('input[id="'+this.getAttribute("for")+'"]',Wt),this.update(),this.isSwappingFont=!0},n.proxy.get=function(){return Object.assign.call(this,t.prototype.proxy,{update:this.update.bind(this)})},n.input.get=function(){return this.getRegisteredInstances("ToggleInput")[0]},e.prototype.update=function(){this.node.style.removeProperty("--toggle-status-width");var t=this.input.isChecked,e=getComputedStyle(this.node,":before"),n=parseFloat(e.width);this.input.node.checked=!t;var i=getComputedStyle(this.node,":before"),s=parseFloat(i.width);s>n&&(n=s),this.input.node.checked=t,this.node.style.setProperty("--toggle-status-width",n/16+"rem")},e.prototype.swapFont=function(t){this.update()},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),Yt={STATUS_LABEL:""+Mt.internals.ns.selector("toggle__label")+Mt.internals.ns.attr.selector("checked-label")+Mt.internals.ns.attr.selector("unchecked-label")};Mt.toggle={ToggleStatusLabel:Kt,ToggleSelector:Yt},Mt.internals.register(Mt.toggle.ToggleSelector.STATUS_LABEL,Mt.toggle.ToggleStatusLabel);var Vt={LIST:Mt.internals.ns.selector("sidemenu__list"),COLLAPSE:Mt.internals.ns.selector("sidemenu__item")+" > "+Mt.internals.ns.selector("collapse")},Qt=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"SidemenuList"},e.prototype.validate=function(t){return t.node.matches(Vt.COLLAPSE)},Object.defineProperties(e,n),e}(Mt.core.CollapsesGroup);Mt.sidemenu={SidemenuList:Qt,SidemenuSelector:Vt},Mt.internals.register(Mt.sidemenu.SidemenuSelector.LIST,Mt.sidemenu.SidemenuList);var $t={MODAL:Mt.internals.ns.selector("modal"),SCROLL_SHADOW:Mt.internals.ns.selector("scroll-shadow"),BODY:Mt.internals.ns.selector("modal__body")},Xt=function(t){function e(){t.call(this,Mt.core.DisclosureType.OPENED)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalButton"},Object.defineProperties(e,n),e}(Mt.core.DisclosureButton),Zt={CONCEALING_BACKDROP:Mt.internals.ns.attr("concealing-backdrop")},Jt=function(t){function e(){t.call(this,Mt.core.DisclosureType.OPENED,$t.MODAL,Xt,"ModalsGroup"),this.scrolling=this.resize.bind(this,!1),this.resizing=this.resize.bind(this,!0)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={body:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Modal"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("click",this.click.bind(this)),this.listenKey(Mt.core.KeyCodes.ESCAPE,this.conceal.bind(this,!1,!1),!0,!0)},n.body.get=function(){return this.element.getDescendantInstances("ModalBody","Modal")[0]},e.prototype.click=function(t){t.target===this.node&&"false"!==this.getAttribute(Zt.CONCEALING_BACKDROP)&&this.conceal()},e.prototype.disclose=function(e){return!!t.prototype.disclose.call(this,e)&&(this.body&&this.body.activate(),this.isScrollLocked=!0,this.setAttribute("aria-modal","true"),this.setAttribute("open","true"),!0)},e.prototype.conceal=function(e,n){return!!t.prototype.conceal.call(this,e,n)&&(this.isScrollLocked=!1,this.removeAttribute("aria-modal"),this.removeAttribute("open"),this.body&&this.body.deactivate(),!0)},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Disclosure),te=['[tabindex="0"]',"a[href]","button:not([disabled])","input:not([disabled])","select:not([disabled])","textarea:not([disabled])","audio[controls]","video[controls]",'[contenteditable]:not([contenteditable="false"])',"details>summary:first-of-type","details","iframe"].join(),ee=['[tabindex]:not([tabindex="-1"]):not([tabindex="0"])'].join(),ne=function(t,e){if(!(t instanceof Element))return!1;var n=window.getComputedStyle(t);if(!n)return!1;if("hidden"===n.visibility)return!1;for(void 0===e&&(e=t);e.contains(t);){if("none"===n.display)return!1;t=t.parentElement}return!0},ie=function(t,e){this.element=null,this.activeElement=null,this.onTrap=t,this.onUntrap=e,this.waiting=this.wait.bind(this),this.handling=this.handle.bind(this),this.focusing=this.maintainFocus.bind(this),this.current=null},se={trapped:{configurable:!0},focusables:{configurable:!0}};se.trapped.get=function(){return null!==this.element},ie.prototype.trap=function(t){this.trapped&&this.untrap(),this.element=t,this.isTrapping=!0,this.wait(),this.onTrap&&this.onTrap()},ie.prototype.wait=function(){ne(this.element)?this.trapping():window.requestAnimationFrame(this.waiting)},ie.prototype.trapping=function(){if(this.isTrapping){this.isTrapping=!1;var t=this.focusables;t.length&&t[0].focus(),this.element.setAttribute("aria-modal",!0),window.addEventListener("keydown",this.handling),document.body.addEventListener("focus",this.focusing,!0)}},ie.prototype.stun=function(t){for(var e=0,n=t.children;e<n.length;e+=1){var i=n[e];i!==this.element&&(i.contains(this.element)?this.stun(i):this.stunneds.push(new oe(i)))}},ie.prototype.maintainFocus=function(t){if(!this.element.contains(t.target)){var e=this.focusables;if(0===e.length)return;var n=e[0];t.preventDefault(),n.focus()}},ie.prototype.handle=function(t){if(9===t.keyCode){var e=this.focusables;if(0!==e.length){var n=e[0],i=e[e.length-1],s=e.indexOf(document.activeElement);t.shiftKey?!this.element.contains(document.activeElement)||s<1?(t.preventDefault(),i.focus()):(document.activeElement.tabIndex>0||e[s-1].tabIndex>0)&&(t.preventDefault(),e[s-1].focus()):this.element.contains(document.activeElement)&&s!==e.length-1&&-1!==s?document.activeElement.tabIndex>0&&(t.preventDefault(),e[s+1].focus()):(t.preventDefault(),n.focus())}}},se.focusables.get=function(){var t=this,e=Mt.internals.dom.querySelectorAllArray(this.element,te),n=Mt.internals.dom.querySelectorAllArray(document.documentElement,'input[type="radio"]');if(n.length){for(var i={},s=0,o=n;s<o.length;s+=1){var r=o[s],a=r.getAttribute("name");void 0===i[a]&&(i[a]=new re(a)),i[a].push(r)}e=e.filter((function(t){if("input"!==t.tagName.toLowerCase()||"radio"!==t.getAttribute("type").toLowerCase())return!0;var e=t.getAttribute("name");return i[e].keep(t)}))}var c=Mt.internals.dom.querySelectorAllArray(this.element,ee);c.sort((function(t,e){return t.tabIndex-e.tabIndex}));var l=e.filter((function(t){return-1===c.indexOf(t)}));return c.concat(l).filter((function(e){return"-1"!==e.tabIndex&&ne(e,t.element)}))},ie.prototype.untrap=function(){this.trapped&&(this.isTrapping=!1,this.element.removeAttribute("aria-modal"),window.removeEventListener("keydown",this.handling),document.body.removeEventListener("focus",this.focusing,!0),this.element=null,this.onUntrap&&this.onUntrap())},ie.prototype.dispose=function(){this.untrap()},Object.defineProperties(ie.prototype,se);var oe=function(t){this.element=t,this.inert=t.getAttribute("inert"),this.element.setAttribute("inert","")};oe.prototype.unstun=function(){null===this.inert?this.element.removeAttribute("inert"):this.element.setAttribute("inert",this.inert)};var re=function(t){this.name=t,this.buttons=[]};re.prototype.push=function(t){this.buttons.push(t),(t===document.activeElement||t.checked||void 0===this.selected)&&(this.selected=t)},re.prototype.keep=function(t){return this.selected===t};var ae=function(t){function e(){t.call(this,"Modal",!1),this.focusTrap=new ie}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalsGroup"},e.prototype.apply=function(e,n){t.prototype.apply.call(this,e,n),null===this.current?this.focusTrap.untrap():this.focusTrap.trap(this.current.node)},Object.defineProperties(e,n),e}(Mt.core.DisclosuresGroup),ce=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"ModalBody"},e.prototype.init=function(){this.listen("scroll",this.shade.bind(this))},e.prototype.activate=function(){this.isResizing=!0,this.resize()},e.prototype.deactivate=function(){this.isResizing=!1},e.prototype.shade=function(){this.node.scrollHeight>this.node.clientHeight?this.node.offsetHeight+this.node.scrollTop>=this.node.scrollHeight?this.removeClass($t.SCROLL_SHADOW):this.addClass($t.SCROLL_SHADOW):this.removeClass($t.SCROLL_SHADOW)},e.prototype.resize=function(){this.adjust(),this.request(this.adjust.bind(this))},e.prototype.adjust=function(){var t=32*(this.isBreakpoint(Mt.core.Breakpoints.MD)?2:1);this.isLegacy?this.style.maxHeight=window.innerHeight-t+"px":this.style.setProperty("--modal-max-height",window.innerHeight-t+"px"),this.shade()},Object.defineProperties(e,n),e}(Mt.core.Instance);Mt.modal={Modal:Jt,ModalButton:Xt,ModalBody:ce,ModalsGroup:ae,ModalSelector:$t},Mt.internals.register(Mt.modal.ModalSelector.MODAL,Mt.modal.Modal),Mt.internals.register(Mt.modal.ModalSelector.BODY,Mt.modal.ModalBody),Mt.internals.register(Mt.core.RootSelector.ROOT,Mt.modal.ModalsGroup);var le={NAVIGATION:Mt.internals.ns.selector("nav"),COLLAPSE:Mt.internals.ns.selector("nav__item")+" > "+Mt.internals.ns.selector("collapse"),ITEM:Mt.internals.ns.selector("nav__item"),ITEM_RIGHT:Mt.internals.ns("nav__item--align-right"),MENU:Mt.internals.ns.selector("menu")},ue=function(t){function e(){t.call(this),this._isRightAligned=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isRightAligned:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"NavigationItem"},e.prototype.init=function(){this.addAscent(Mt.core.DisclosureEmission.ADDED,this.calculate.bind(this)),this.addAscent(Mt.core.DisclosureEmission.REMOVED,this.calculate.bind(this)),this.isResizing=!0,this.calculate()},e.prototype.resize=function(){this.calculate()},e.prototype.calculate=function(){var t=this.element.getDescendantInstances(Mt.core.Collapse.instanceClassName,null,!0)[0];if(t&&this.isBreakpoint(Mt.core.Breakpoints.LG)&&t.element.node.matches(le.MENU)){var e=this.element.node.parentElement.getBoundingClientRect().right,n=t.element.node.getBoundingClientRect().width,i=this.element.node.getBoundingClientRect().left;this.isRightAligned=i+n>e}else this.isRightAligned=!1},n.isRightAligned.get=function(){return this._isRightAligned},n.isRightAligned.set=function(t){this._isRightAligned!==t&&(this._isRightAligned=t,t?Mt.internals.dom.addClass(this.element.node,le.ITEM_RIGHT):Mt.internals.dom.removeClass(this.element.node,le.ITEM_RIGHT))},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),pe={NONE:-1,INSIDE:0,OUTSIDE:1},he=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={index:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Navigation"},e.prototype.init=function(){t.prototype.init.call(this),this.clicked=!1,this.out=!1,this.listen("focusout",this.focusOut.bind(this)),this.listen("mousedown",this.down.bind(this))},e.prototype.validate=function(t){return t.element.node.matches(le.COLLAPSE)},e.prototype.down=function(t){this.isBreakpoint(Mt.core.Breakpoints.LG)&&-1!==this.index&&this.current&&(this.position=this.current.node.contains(t.target)?pe.INSIDE:pe.OUTSIDE,this.requestPosition())},e.prototype.focusOut=function(t){this.isBreakpoint(Mt.core.Breakpoints.LG)&&(this.out=!0,this.requestPosition())},e.prototype.requestPosition=function(){this.isRequesting||(this.isRequesting=!0,this.request(this.getPosition.bind(this)))},e.prototype.getPosition=function(){if(this.out)switch(this.position){case pe.OUTSIDE:this.index=-1;break;case pe.INSIDE:this.current&&!this.current.node.contains(document.activeElement)&&this.current.focus();break;default:this.index>-1&&!this.current.hasFocus&&(this.index=-1)}this.request(this.requested.bind(this))},e.prototype.requested=function(){this.position=pe.NONE,this.out=!1,this.isRequesting=!1},n.index.get=function(){return t.prototype.index},n.index.set=function(e){-1===e&&null!==this.current&&this.current.hasFocus&&this.current.focus(),t.prototype.index=e},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.CollapsesGroup);Mt.navigation={Navigation:he,NavigationItem:ue,NavigationMousePosition:pe,NavigationSelector:le},Mt.internals.register(Mt.navigation.NavigationSelector.NAVIGATION,Mt.navigation.Navigation),Mt.internals.register(Mt.navigation.NavigationSelector.ITEM,Mt.navigation.NavigationItem);var de=function(t){function e(){t.call(this,Mt.core.DisclosureType.SELECT)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={list:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TabButton"},e.prototype.apply=function(e){t.prototype.apply.call(this,e),this.isPrimary&&(this.setAttribute("tabindex",e?"0":"-1"),e&&this.list&&this.list.focalize(this))},n.list.get=function(){return this.element.getAscendantInstance("TabsList","TabsGroup")},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.DisclosureButton),fe={TAB:Mt.internals.ns.selector("tabs__tab"),GROUP:Mt.internals.ns.selector("tabs"),PANEL:Mt.internals.ns.selector("tabs__panel"),LIST:Mt.internals.ns.selector("tabs__list"),SHADOW:Mt.internals.ns.selector("tabs__shadow"),SHADOW_LEFT:Mt.internals.ns.selector("tabs__shadow--left"),SHADOW_RIGHT:Mt.internals.ns.selector("tabs__shadow--right"),PANEL_START:Mt.internals.ns.selector("tabs__panel--direction-start"),PANEL_END:Mt.internals.ns.selector("tabs__panel--direction-end")},ge="direction-start",ye="direction-end",me="none",be=function(t){function e(){t.call(this,Mt.core.DisclosureType.SELECT,fe.PANEL,de,"TabsGroup"),this._direction=me,this._isPreventingTransition=!1}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={direction:{configurable:!0},isPreventingTransition:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TabPanel"},n.direction.get=function(){return this._direction},n.direction.set=function(t){if(t!==this._direction){switch(this._direction){case ge:this.removeClass(fe.PANEL_START);break;case ye:this.removeClass(fe.PANEL_END);break;case me:break;default:return}switch(this._direction=t,this._direction){case ge:this.addClass(fe.PANEL_START);break;case ye:this.addClass(fe.PANEL_END)}}},n.isPreventingTransition.get=function(){return this._isPreventingTransition},n.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(Mt.internals.motion.TransitionSelector.NONE):this.removeClass(Mt.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.translate=function(t,e){this.isPreventingTransition=e,this.direction=t},e.prototype.reset=function(){this.group.index=0},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Disclosure),ve=function(t){function e(){t.call(this,"TabPanel")}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={list:{configurable:!0},buttonHasFocus:{configurable:!0},isPreventingTransition:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TabsGroup"},e.prototype.init=function(){t.prototype.init.call(this),this.listen("transitionend",this.transitionend.bind(this)),this.listenKey(Mt.core.KeyCodes.RIGHT,this.pressRight.bind(this),!0,!0),this.listenKey(Mt.core.KeyCodes.LEFT,this.pressLeft.bind(this),!0,!0),this.listenKey(Mt.core.KeyCodes.HOME,this.pressHome.bind(this),!0,!0),this.listenKey(Mt.core.KeyCodes.END,this.pressEnd.bind(this),!0,!0),this.isRendering=!0,this.list&&this.list.apply()},n.list.get=function(){return this.element.getDescendantInstances("TabsList","TabsGroup",!0)[0]},e.prototype.transitionend=function(t){this.isPreventingTransition=!0},n.buttonHasFocus.get=function(){return this.members.some((function(t){return t.buttonHasFocus}))},e.prototype.pressRight=function(){this.buttonHasFocus&&(this.index<this.length-1?this.index++:this.index=0,this.focus())},e.prototype.pressLeft=function(){this.buttonHasFocus&&(this.index>0?this.index--:this.index=this.length-1,this.focus())},e.prototype.pressHome=function(){this.buttonHasFocus&&(this.index=0,this.focus())},e.prototype.pressEnd=function(){this.buttonHasFocus&&(this.index=this.length-1,this.focus())},e.prototype.focus=function(){this.current&&this.current.focus()},e.prototype.apply=function(){for(var t=0;t<this._index;t++)this.members[t].translate(ge);this.current.translate(me);for(var e=this._index+1;e<this.length;e++)this.members[e].translate(ye);this.isPreventingTransition=!1},n.isPreventingTransition.get=function(){return this._isPreventingTransition},n.isPreventingTransition.set=function(t){this._isPreventingTransition!==t&&(t?this.addClass(Mt.internals.motion.TransitionSelector.NONE):this.removeClass(Mt.internals.motion.TransitionSelector.NONE),this._isPreventingTransition=!0===t)},e.prototype.render=function(){if(null!==this.current){var t=Math.round(this.current.node.offsetHeight);if(this.panelHeight!==t){this.panelHeight=t;var e=0;this.list&&(e=this.list.node.offsetHeight),this.style.setProperty("--tabs-height",this.panelHeight+e+"px")}}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.DisclosuresGroup),_e=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={group:{configurable:!0},isScrolling:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TabsList"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.isResizing=!0},n.group.get=function(){return this.element.getAscendantInstance("TabsGroup","TabsList")},e.prototype.focalize=function(t){var e=t.getRect(),n=this.getRect(),i=this.node.scrollLeft;e.left<n.left?this.node.scrollTo(i-n.left+e.left-16,0):e.right>n.right&&this.node.scrollTo(i-n.right+e.right+16,0)},n.isScrolling.get=function(){return this._isScrolling},n.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,this.apply())},e.prototype.apply=function(){this.group&&(this._isScrolling?(this.group.addClass(fe.SHADOW),this.scroll()):(this.group.removeClass(fe.SHADOW_RIGHT),this.group.removeClass(fe.SHADOW_LEFT),this.group.removeClass(fe.SHADOW)))},e.prototype.scroll=function(){if(this.group){var t=this.node.scrollLeft,e=t<=16,n=this.node.scrollWidth-this.node.clientWidth-16,i=Math.abs(t)>=n,s="rtl"===document.documentElement.getAttribute("dir"),o=s?fe.SHADOW_RIGHT:fe.SHADOW_LEFT,r=s?fe.SHADOW_LEFT:fe.SHADOW_RIGHT;e?this.group.removeClass(o):this.group.addClass(o),i?this.group.removeClass(r):this.group.addClass(r)}},e.prototype.resize=function(){this.isScrolling=this.node.scrollWidth>this.node.clientWidth+16,this.setProperty("--tab-list-height",this.getRect().height+"px")},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance);Mt.tab={TabPanel:be,TabButton:de,TabsGroup:ve,TabsList:_e,TabSelector:fe},Mt.internals.register(Mt.tab.TabSelector.PANEL,Mt.tab.TabPanel),Mt.internals.register(Mt.tab.TabSelector.GROUP,Mt.tab.TabsGroup),Mt.internals.register(Mt.tab.TabSelector.LIST,Mt.tab.TabsList);var Ee={SCROLLABLE:Mt.internals.ns.emission("table","scrollable"),CHANGE:Mt.internals.ns.emission("table","change"),CAPTION_HEIGHT:Mt.internals.ns.emission("table","captionheight")},Le=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"Table"},e.prototype.init=function(){this.addAscent(Ee.CAPTION_HEIGHT,this.setCaptionHeight.bind(this))},e.prototype.setCaptionHeight=function(t){this.setProperty("--table-offset","calc("+t+"px + 1rem)")},Object.defineProperties(e,n),e}(Mt.core.Instance),Se={TABLE:Mt.internals.ns.selector("table"),SHADOW:Mt.internals.ns.selector("table__shadow"),SHADOW_LEFT:Mt.internals.ns.selector("table__shadow--left"),SHADOW_RIGHT:Mt.internals.ns.selector("table__shadow--right"),ELEMENT:Mt.internals.ns.selector("table")+":not("+Mt.internals.ns.selector("table--no-scroll")+") table",CAPTION:Mt.internals.ns.selector("table")+" table caption"},Oe=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={isScrolling:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"TableElement"},e.prototype.init=function(){this.listen("scroll",this.scroll.bind(this)),this.content=this.querySelector("tbody"),this.isResizing=!0},n.isScrolling.get=function(){return this._isScrolling},n.isScrolling.set=function(t){this._isScrolling!==t&&(this._isScrolling=t,t?(this.addClass(Se.SHADOW),this.scroll()):(this.removeClass(Se.SHADOW),this.removeClass(Se.SHADOW_LEFT),this.removeClass(Se.SHADOW_RIGHT)))},e.prototype.scroll=function(){var t=this.node.scrollLeft<=8,e=this.content.offsetWidth-this.node.offsetWidth-8,n=Math.abs(this.node.scrollLeft)>=e,i="rtl"===document.documentElement.getAttribute("dir"),s=i?Se.SHADOW_RIGHT:Se.SHADOW_LEFT,o=i?Se.SHADOW_LEFT:Se.SHADOW_RIGHT;t?this.removeClass(s):this.addClass(s),n?this.removeClass(o):this.addClass(o)},e.prototype.resize=function(){this.isScrolling=this.content.offsetWidth>this.node.offsetWidth},e.prototype.dispose=function(){this.isScrolling=!1},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance),Ae=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"TableCaption"},e.prototype.init=function(){this.height=0,this.isResizing=!0},e.prototype.resize=function(){var t=this.getRect().height;this.height!==t&&(this.height=t,this.ascend(Ee.CAPTION_HEIGHT,t))},Object.defineProperties(e,n),e}(Mt.core.Instance);Mt.table={Table:Le,TableElement:Oe,TableCaption:Ae,TableSelector:Se},Mt.internals.register(Mt.table.TableSelector.TABLE,Mt.table.Table),Mt.internals.register(Mt.table.TableSelector.ELEMENT,Mt.table.TableElement),Mt.internals.register(Mt.table.TableSelector.CAPTION,Mt.table.TableCaption);var Ce={TAG_PRESSABLE:Mt.internals.ns.selector("tag")+"[aria-pressed]"};Mt.tag={TagSelector:Ce},Mt.internals.register(Mt.tag.TagSelector.TAG_PRESSABLE,Mt.core.Toggle);var Te={DOWNLOAD_ASSESS_FILE:""+Mt.internals.ns.attr.selector("assess-file"),DOWNLOAD_DETAIL:""+Mt.internals.ns.selector("download__detail")},Ne=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"AssessFile"},e.prototype.init=function(){this.lang=this.getLang(this.node),this.href=this.getAttribute("href"),this.hreflang=this.getAttribute("hreflang"),this.file={},this.detail=this.querySelector(Te.DOWNLOAD_DETAIL),this.update()},e.prototype.getFileLength=function(){var t=this;void 0!==this.href?fetch(this.href,{method:"HEAD",mode:"cors"}).then((function(e){t.length=e.headers.get("content-length")||-1,-1===t.length&&console.warn("Impossible de détecter le poids du fichier "+t.href+'\nErreur de récupération de l\'en-tête HTTP : "content-length"'),t.update()})):this.length=-1},e.prototype.update=function(){if(this.isLegacy&&(this.length=-1),this.length){var t=[];if(this.detail){if(this.href){var e=this.parseExtension(this.href);e&&t.push(e.toUpperCase())}-1!==this.length&&t.push(this.bytesToSize(this.length)),this.hreflang&&t.push(this.getLangDisplayName(this.hreflang)),this.detail.innerHTML=t.join(" - ")}}else this.getFileLength()},e.prototype.getLang=function(t){return t.lang?t.lang:document.documentElement===t?window.navigator.language:this.getLang(t.parentElement)},e.prototype.parseExtension=function(t){return t.match(/\.(\w{1,9})(?:$|[?#])/)[0].replace(".","")},e.prototype.getLangDisplayName=function(t){if(this.isLegacy)return t;var e=new Intl.DisplayNames([this.lang],{type:"language"}).of(t);return e.charAt(0).toUpperCase()+e.slice(1)},e.prototype.bytesToSize=function(t){if(-1===t)return null;var e=["octets","ko","Mo","Go","To"];"bytes"===this.getAttribute(Mt.internals.ns.attr("assess-file"))&&(e=["bytes","KB","MB","GB","TB"]);var n=parseInt(Math.floor(Math.log(t)/Math.log(1e3)),10);if(0===n)return t+" "+e[n];var i=t/Math.pow(1e3,n),s=Math.round(100*(i+Number.EPSILON))/100;return String(s).replace(".",",")+" "+e[n]},Object.defineProperties(e,n),e}(Mt.core.Instance);Mt.download={DownloadSelector:Te,AssessFile:Ne},Mt.internals.register(Mt.download.DownloadSelector.DOWNLOAD_ASSESS_FILE,Mt.download.AssessFile);var we={HEADER:Mt.internals.ns.selector("header"),TOOLS_LINKS:Mt.internals.ns.selector("header__tools-links"),MENU_LINKS:Mt.internals.ns.selector("header__menu-links"),BUTTONS:Mt.internals.ns.selector("header__tools-links")+" "+Mt.internals.ns.selector("btns-group")+", "+Mt.internals.ns.selector("header__tools-links")+" "+Mt.internals.ns.selector("links-group"),MODALS:""+Mt.internals.ns.selector("header__search")+Mt.internals.ns.selector("modal")+", "+Mt.internals.ns.selector("header__menu")+Mt.internals.ns.selector("modal")},Pe=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"HeaderLinks"},e.prototype.init=function(){var t=this.queryParentSelector(we.HEADER);this.toolsLinks=t.querySelector(we.TOOLS_LINKS),this.menuLinks=t.querySelector(we.MENU_LINKS);var e=this.toolsLinks.innerHTML.replace(/  +/g," "),n=this.menuLinks.innerHTML.replace(/  +/g," "),i=e.replace(/ id="(.*?)"/gm,' id="$1_copy"');if((i=i.replace(/ aria-controls="(.*?)"/gm,' aria-controls="$1_copy"'))!==n)switch(Mt.mode){case Mt.Modes.ANGULAR:case Mt.Modes.REACT:case Mt.Modes.VUE:Mt.inspector.warn("header__tools-links content is different from header__menu-links content.\nAs you're using a dynamic framework, you should handle duplication of this content yourself, please refer to documentation:\n"+Mt.header.doc);break;default:this.menuLinks.innerHTML=i}},Object.defineProperties(e,n),e}(Mt.core.Instance),Ie=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={instanceClassName:{configurable:!0}};return n.instanceClassName.get=function(){return"HeaderModal"},e.prototype.init=function(){this.isResizing=!0},e.prototype.resize=function(){this.isBreakpoint(Mt.core.Breakpoints.LG)?this.unqualify():this.qualify()},e.prototype.qualify=function(){this.setAttribute("role","dialog");var t=this.element.getInstance("Modal");if(t){for(var e="",n=0,i=t.buttons;n<i.length;n+=1){var s=i[n];if(e=s.id||e,s.isPrimary&&e)break}this.setAttribute("aria-labelledby",e)}},e.prototype.unqualify=function(){var t=this.element.getInstance("Modal");t&&t.conceal(),this.removeAttribute("role"),this.removeAttribute("aria-labelledby")},Object.defineProperties(e,n),e}(Mt.core.Instance);Mt.header={HeaderLinks:Pe,HeaderModal:Ie,HeaderSelector:we,doc:"https://gouvfr.atlassian.net/wiki/spaces/DB/pages/222789846/En-t+te+-+Header"},Mt.internals.register(Mt.header.HeaderSelector.BUTTONS,Mt.header.HeaderLinks),Mt.internals.register(Mt.header.HeaderSelector.MODALS,Mt.header.HeaderModal);var Me={DISPLAY:Mt.internals.ns.selector("display"),RADIO_BUTTONS:'input[name="'+Mt.internals.ns("radios-theme")+'"]',FIELDSET:Mt.internals.ns.selector("fieldset")},De=function(t){function e(){t.apply(this,arguments)}t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e;var n={scheme:{configurable:!0}},i={instanceClassName:{configurable:!0}};return i.instanceClassName.get=function(){return"Display"},e.prototype.init=function(){if(this.radios=this.querySelectorAll(Me.RADIO_BUTTONS),Mt.scheme){this.changing=this.change.bind(this);for(var t=0,e=this.radios;t<e.length;t+=1){e[t].addEventListener("change",this.changing)}this.addDescent(Mt.scheme.SchemeEmission.SCHEME,this.apply.bind(this)),this.ascend(Mt.scheme.SchemeEmission.ASK)}else this.querySelector(Me.FIELDSET).setAttribute("disabled","")},n.scheme.get=function(){return this._scheme},n.scheme.set=function(t){if(this._scheme!==t&&Mt.scheme)switch(t){case Mt.scheme.SchemeValue.SYSTEM:case Mt.scheme.SchemeValue.LIGHT:case Mt.scheme.SchemeValue.DARK:this._scheme=t;for(var e=0,n=this.radios;e<n.length;e+=1){var i=n[e];i.checked=i.value===t}this.ascend(Mt.scheme.SchemeEmission.SCHEME,t)}},e.prototype.change=function(){for(var t=0,e=this.radios;t<e.length;t+=1){var n=e[t];if(n.checked)return void(this.scheme=n.value)}},e.prototype.apply=function(t){this.scheme=t},e.prototype.dispose=function(){for(var t=0,e=this.radios;t<e.length;t+=1){e[t].removeEventListener("change",this.changing)}},Object.defineProperties(e.prototype,n),Object.defineProperties(e,i),e}(Mt.core.Instance);Mt.display={Display:De,DisplaySelector:Me},Mt.internals.register(Mt.display.DisplaySelector.DISPLAY,Mt.display.Display),function(t,e){function n(t,e){var n=arguments.length>2?arguments[2]:[];if(!1===s(t))throw new TypeError(Object.prototype.toString.call(t)+"is not a function.");return t.apply(e,n)}function i(t,e){return t[e]}function s(t){return"function"==typeof t}function o(t){if(null===t||t===e)throw TypeError();return Object(t)}function r(t,n){var i=function(t,e){return o(t)[e]}(t,n);if(null===i||i===e)return e;if(!1===s(i))throw new TypeError("Method not callable: "+n);return i}function a(e){switch(typeof e){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===e?"null":"Symbol"in t&&(e instanceof t.Symbol||e.constructor===t.Symbol)?"symbol":"object"}}function c(t,e){if("string"===e)var o=["toString","valueOf"];else o=["valueOf","toString"];for(var r=0;r<o.length;++r){var c=i(t,o[r]);if(s(c)){var l=n(c,t);if("object"!==a(l))return l}}throw new TypeError("Cannot convert to primitive.")}function l(t,e){return a(t)===a(e)&&("number"===a(t)?!(!isNaN(t)||!isNaN(e))||1/t==1/0&&1/e==-1/0||1/t==-1/0&&1/e==1/0||t===e:function(t,e){return t===e}(t,e))}function u(t){if("symbol"===a(t))throw new TypeError("Cannot convert a Symbol value to a number");var e=Number(t);return isNaN(e)?0:1/e==1/0||1/e==-1/0||e===1/0||e===-1/0?e:(e<0?-1:1)*Math.floor(Math.abs(e))}function p(t){var e=u(t);return e<=0?0:Math.min(e,Math.pow(2,53)-1)}function h(i){switch(a(i)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return h(function(i){var s=arguments.length>1?arguments[1]:e;if("object"===a(i)){if(arguments.length<2)var o="default";else s===String?o="string":s===Number&&(o="number");var l="function"==typeof t.Symbol&&"symbol"==typeof t.Symbol.toPrimitive?r(i,t.Symbol.toPrimitive):e;if(l!==e){var u=n(l,i,[o]);if("object"!==a(u))return u;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===o&&(o="number"),c(i,o)}return i}(i,String));default:return String(i)}}var d,f,g,y;d=Array.prototype,f="includes",g=function(t){var e=o(this),n=p(i(e,"length"));if(0===n)return!1;var s=u(arguments[1]);if(s>=0)var r=s;else(r=n+s)<0&&(r=0);for(;r<n;){var a=i(e,h(r));if(l(t,a))return!0;r+=1}return!1},y={value:g,writable:!0,enumerable:!1,configurable:!0},Object.defineProperty(d,f,y),function(){function t(t,n){if(!t)throw new Error("Not enough arguments");var i;if("createEvent"in document){i=document.createEvent("Event");var s=!(!n||n.bubbles===e)&&n.bubbles,o=!(!n||n.cancelable===e)&&n.cancelable;return i.initEvent(t,s,o),i}return(i=document.createEventObject()).type=t,i.bubbles=!(!n||n.bubbles===e)&&n.bubbles,i.cancelable=!(!n||n.cancelable===e)&&n.cancelable,i}var n={click:1,dblclick:1,keyup:1,keypress:1,keydown:1,mousedown:1,mouseup:1,mousemove:1,mouseover:1,mouseenter:1,mouseleave:1,mouseout:1,storage:1,storagecommit:1,textinput:1};if("undefined"!=typeof document&&"undefined"!=typeof window){var i=window.Event&&window.Event.prototype||null;t.NONE=0,t.CAPTURING_PHASE=1,t.AT_TARGET=2,t.BUBBLING_PHASE=3,window.Event=Window.prototype.Event=t,i&&Object.defineProperty(window.Event,"prototype",{configurable:!1,enumerable:!1,writable:!0,value:i}),"createEvent"in document||(window.addEventListener=Window.prototype.addEventListener=Document.prototype.addEventListener=Element.prototype.addEventListener=function(){var t=this,e=arguments[0],i=arguments[1];if(t===window&&e in n)throw new Error("In IE8 the event: "+e+" is not available on the window object. Please see https://github.com/Financial-Times/polyfill-service/issues/317 for more information.");t._events||(t._events={}),t._events[e]||(t._events[e]=function(e){var n,i=t._events[e.type].list,s=i.slice(),o=-1,r=s.length;for(e.preventDefault=function(){!1!==e.cancelable&&(e.returnValue=!1)},e.stopPropagation=function(){e.cancelBubble=!0},e.stopImmediatePropagation=function(){e.cancelBubble=!0,e.cancelImmediate=!0},e.currentTarget=t,e.relatedTarget=e.fromElement||null,e.target=e.target||e.srcElement||t,e.timeStamp=(new Date).getTime(),e.clientX&&(e.pageX=e.clientX+document.documentElement.scrollLeft,e.pageY=e.clientY+document.documentElement.scrollTop);++o<r&&!e.cancelImmediate;)o in s&&(n=s[o],i.includes(n)&&"function"==typeof n&&n.call(t,e))},t._events[e].list=[],t.attachEvent&&t.attachEvent("on"+e,t._events[e])),t._events[e].list.push(i)},window.removeEventListener=Window.prototype.removeEventListener=Document.prototype.removeEventListener=Element.prototype.removeEventListener=function(){var t,e=this,n=arguments[0],i=arguments[1];e._events&&e._events[n]&&e._events[n].list&&-1!==(t=e._events[n].list.indexOf(i))&&(e._events[n].list.splice(t,1),e._events[n].list.length||(e.detachEvent&&e.detachEvent("on"+n,e._events[n]),delete e._events[n]))},window.dispatchEvent=Window.prototype.dispatchEvent=Document.prototype.dispatchEvent=Element.prototype.dispatchEvent=function(t){if(!arguments.length)throw new Error("Not enough arguments");if(!t||"string"!=typeof t.type)throw new Error("DOM Events Exception 0");var e=this,n=t.type;try{if(!t.bubbles){t.cancelBubble=!0;var i=function(t){t.cancelBubble=!0,(e||window).detachEvent("on"+n,i)};this.attachEvent("on"+n,i)}this.fireEvent("on"+n,t)}catch(i){t.target=e;do{t.currentTarget=e,"_events"in e&&"function"==typeof e._events[n]&&e._events[n].call(e,t),"function"==typeof e["on"+n]&&e["on"+n].call(e,t),e=9===e.nodeType?e.parentWindow:e.parentNode}while(e&&!t.cancelBubble)}return!0},document.attachEvent("onreadystatechange",(function(){"complete"===document.readyState&&document.dispatchEvent(new t("DOMContentLoaded",{bubbles:!0}))})))}}(),t.CustomEvent=function(t,e){if(!t)throw Error('TypeError: Failed to construct "CustomEvent": An event name must be provided.');var n;if(e=e||{bubbles:!1,cancelable:!1,detail:null},"createEvent"in document)try{(n=document.createEvent("CustomEvent")).initCustomEvent(t,e.bubbles,e.cancelable,e.detail)}catch(i){(n=document.createEvent("Event")).initEvent(t,e.bubbles,e.cancelable),n.detail=e.detail}else(n=new Event(t,e)).detail=e&&e.detail||null;return n},CustomEvent.prototype=Event.prototype}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(e){function n(t,e){if("change"===t&&this.addListener(e),arguments[2]&&arguments[2].once){var n=this,i=function(){n.removeListener(i),n.removeListener(e)};this.addListener(i)}}function i(t,e){"change"===t&&this.removeListener(e)}var s=function(){try{var t={};return e.Object.defineProperty(t,"t",{configurable:!0,enumerable:!1,get:function(){return this._v},set:function(t){this._v=t+t}}),t.t=1,2===t.t}catch(t){return!1}}(),o={enumerable:!0,configurable:!0,get:function(){return this._onchangeHandler||null},set:function(t){var e=this;e._onchangeListener||(e._onchangeListener=function(){"function"==typeof e._onchangeHandler&&e._onchangeHandler.call(e,arguments[0])},e.addEventListener("change",e._onchangeListener)),e._onchangeHandler=t}};if("MediaQueryList"in e){var r=e.MediaQueryList.prototype.addListener,a=e.MediaQueryList.prototype.removeListener;e.MediaQueryList.prototype.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),r.call(this,e)},e.MediaQueryList.prototype.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},e.MediaQueryList.prototype.addEventListener=n,e.MediaQueryList.prototype.removeEventListener=i,s&&e.Object.defineProperty(e.MediaQueryList.prototype,"onchange",o)}else{var c=t.matchMedia;t.matchMedia=function(t){var r=c(t),a=r.addListener,l=r.removeListener;return r.addListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),a.call(this,e)},r.removeListener=function(t){var e=t;e.handleEvent&&(e=e.handleEvent),l.call(this,e)},r.addEventListener=n,r.removeEventListener=i,s&&e.Object.defineProperty(r,"onchange",o),r}}}(t)}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){var n,i=function(){var t=!0,n=function(e,n,i,s){Object.defineProperty?Object.defineProperty(e,n,{configurable:!1===t||!!s,get:i}):e.__defineGetter__(n,i)};try{n({},"support")}catch(e){t=!1}return function(t,i){var s=this,o=[],r={},a=0,c=0,l=function(t){n(s,t,(function(){return p(),o[t]}),!1)},u=function(){if(a>=c)for(;c<a;++c)l(c)},p=function(){var e,n,s=arguments,c=/\s+/;if(s.length)for(n=0;n<s.length;++n)if(c.test(s[n]))throw(e=new SyntaxError('String "'+s[n]+'" contains an invalid character')).code=5,e.name="InvalidCharacterError",e;for(""===(o="object"==typeof t[i]?(""+t[i].baseVal).replace(/^\s+|\s+$/g,"").split(c):(""+t[i]).replace(/^\s+|\s+$/g,"").split(c))[0]&&(o=[]),r={},n=0;n<o.length;++n)r[o[n]]=!0;a=o.length,u()};return p(),n(s,"length",(function(){return p(),a})),s.toLocaleString=s.toString=function(){return p(),o.join(" ")},s.item=function(t){return p(),o[t]},s.contains=function(t){return p(),!!r[t]},s.add=function(){p.apply(s,e=arguments);for(var e,n,c=0,l=e.length;c<l;++c)n=e[c],r[n]||(o.push(n),r[n]=!0);a!==o.length&&(a=o.length>>>0,"object"==typeof t[i]?t[i].baseVal=o.join(" "):t[i]=o.join(" "),u())},s.remove=function(){p.apply(s,e=arguments);for(var e,n={},c=0,l=[];c<e.length;++c)n[e[c]]=!0,delete r[e[c]];for(c=0;c<o.length;++c)n[o[c]]||l.push(o[c]);o=l,a=l.length>>>0,"object"==typeof t[i]?t[i].baseVal=o.join(" "):t[i]=o.join(" "),u()},s.toggle=function(t,n){return p.apply(s,[t]),e!==n?n?(s.add(t),!0):(s.remove(t),!1):r[t]?(s.remove(t),!1):(s.add(t),!0)},s.forEach=Array.prototype.forEach,s}}();"DOMTokenList"in(n=t)&&n.DOMTokenList&&(!document.createElementNS||!document.createElementNS("http://www.w3.org/2000/svg","svg")||document.createElementNS("http://www.w3.org/2000/svg","svg").classList instanceof DOMTokenList)||(n.DOMTokenList=i),function(){var t=document.createElement("span");"classList"in t&&(t.classList.toggle("x",!1),t.classList.contains("x")&&(t.classList.constructor.prototype.toggle=function(t){var n=arguments[1];if(n===e){var i=!this.contains(t);return this[i?"add":"remove"](t),i}return n=!!n,this[n?"add":"remove"](t),n}))}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a","b"),!t.classList.contains("b"))){var e=t.classList.constructor.prototype.add;t.classList.constructor.prototype.add=function(){for(var t=arguments,n=arguments.length,i=0;i<n;i++)e.call(this,t[i])}}}(),function(){var t=document.createElement("span");if("classList"in t&&(t.classList.add("a"),t.classList.add("b"),t.classList.remove("a","b"),t.classList.contains("b"))){var e=t.classList.constructor.prototype.remove;t.classList.constructor.prototype.remove=function(){for(var t=arguments,n=arguments.length,i=0;i<n;i++)e.call(this,t[i])}}}(),function(t){var e=!0,n=function(t,n,i,s){Object.defineProperty?Object.defineProperty(t,n,{configurable:!1===e||!!s,get:i}):t.__defineGetter__(n,i)};try{n({},"support")}catch(t){e=!1}var s=function(t,o,r){n(t.prototype,o,(function(){var t,a=this,c="__defineGetter__DEFINE_PROPERTY"+o;if(a[c])return t;if(a[c]=!0,!1===e){for(var l,u=s.mirror||document.createElement("div"),p=u.childNodes,h=p.length,d=0;d<h;++d)if(p[d]._R===a){l=p[d];break}l||(l=u.appendChild(document.createElement("div"))),t=DOMTokenList.call(l,a,r)}else t=new i(a,r);return n(a,o,(function(){return t})),delete a[c],t}),!0)};s(t.Element,"classList","className"),s(t.HTMLElement,"classList","className"),s(t.HTMLLinkElement,"relList","rel"),s(t.HTMLAnchorElement,"relList","rel"),s(t.HTMLAreaElement,"relList","rel")}(t),function(t){t.DOMTokenList.prototype.forEach=t.Array.prototype.forEach;var e=document.createElement("span");e.classList&&e.classList.constructor&&e.classList.constructor.prototype&&!e.classList.constructor.prototype.forEach&&(e.classList.constructor.prototype.forEach=t.Array.prototype.forEach)}(t),NodeList.prototype.forEach=Array.prototype.forEach}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),function(t,e){!function(){function e(t){if(!(0 in arguments))throw new TypeError("1 argument is required");do{if(this===t)return!0}while(t=t&&t.parentNode);return!1}if("HTMLElement"in t&&"contains"in HTMLElement.prototype)try{delete HTMLElement.prototype.contains}catch(t){}"Node"in t?Node.prototype.contains=e:document.contains=Element.prototype.contains=e}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),Element.prototype.matches=Element.prototype.webkitMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.mozMatchesSelector||function(t){for(var e=this,n=(e.document||e.ownerDocument).querySelectorAll(t),i=0;n[i]&&n[i]!==e;)++i;return!!n[i]},et.internals.legacy.setLegacy(),et.internals.register(et.core.ArtworkSelector.ARTWORK_USE,et.core.Artwork)}();
//# sourceMappingURL=dsfr.nomodule.min.js.map
